Debian Bug report logs - #568924
fallocate64() is missing in libc 2.10

version graph

Package: eglibc; Maintainer for eglibc is GNU Libc Maintainers <debian-glibc@lists.debian.org>;

Reported by: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>

Date: Mon, 8 Feb 2010 21:18:01 UTC

Severity: normal

Found in version 2.10.2-6

Fixed in versions eglibc/2.11-0exp5, eglibc/2.11-0exp6, eglibc/2.11-0exp7, eglibc/2.11.1-0exp8, eglibc/2.11.1-0exp9, eglibc/2.11.1-1

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#568924; Package eglibc. (Mon, 08 Feb 2010 21:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Andrzej Siewior <sebastian@breakpoint.cc>:
New Bug report received and forwarded. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Mon, 08 Feb 2010 21:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
To: submit@bugs.debian.org
Subject: fallocate64() is missing in libc 2.10
Date: Mon, 8 Feb 2010 22:14:56 +0100
Package: eglibc
Version: 2.10.2-6
Severity: normal

fallocate fails on 32bit with LFS support:

|bigeasy@kibibi:~$ cat a.c 
|#define _GNU_SOURCE
|#define _FILE_OFFSET_BITS 64
|#include <fcntl.h>
|
|int main(void)
|{
|        return  fallocate(0, 1, 2, 3);
|}
|
|gcc -o a a.c
|/tmp/ccw65agf.o: In function `main':
|a.c:(.text+0x39): undefined reference to `fallocate64'
|collect2: ld returned 1 exit status

fallocate64 is exported since 2.11 [0], fallocate since 2.10. And now?
I'm not sure if it is clever to export this symbol as 2.10. Is 2.11
planned for soon? :)

[0] http://sourceware.org/git/?p=glibc.git;a=commit;h=1f3615a1c97a030bca59f728f998947f852679b9

Sebastian




Added tag(s) pending. Request was from Aurelien Jarno <aurel32@alioth.debian.org> to control@bugs.debian.org. (Mon, 08 Feb 2010 22:48:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#568924; Package eglibc. (Tue, 09 Feb 2010 14:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Andrzej Siewior <sebastian@breakpoint.cc>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Tue, 09 Feb 2010 14:42:08 GMT) Full text and rfc822 format available.

Message #12 received at 568924@bugs.debian.org (full text, mbox):

From: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
To: 568924@bugs.debian.org
Subject: Re: fallocate64() is missing in libc 2.10
Date: Tue, 9 Feb 2010 14:52:42 +0100
* Sebastian Andrzej Siewior | 2010-02-08 22:14:56 [+0100]:

>I'm not sure if it is clever to export this symbol as 2.10. Is 2.11
>planned for soon? :)

A wrapper in fcntl.h which directly wraps the syscall could be added and
removed in 2.11 where the function is exported.

I've just seen 2.11 in exp so it is maybe best to just wait :)

Sebastian




Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Thu, 11 Feb 2010 03:36:06 GMT) Full text and rfc822 format available.

Notification sent to Sebastian Andrzej Siewior <sebastian@breakpoint.cc>:
Bug acknowledged by developer. (Thu, 11 Feb 2010 03:36:06 GMT) Full text and rfc822 format available.

Message #17 received at 568924-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 568924-close@bugs.debian.org
Subject: Bug#568924: fixed in eglibc 2.11-0exp5
Date: Thu, 11 Feb 2010 03:34:39 +0000
Source: eglibc
Source-Version: 2.11-0exp5

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.11-0exp5_all.deb
  to main/e/eglibc/eglibc-source_2.11-0exp5_all.deb
eglibc_2.11-0exp5.diff.gz
  to main/e/eglibc/eglibc_2.11-0exp5.diff.gz
eglibc_2.11-0exp5.dsc
  to main/e/eglibc/eglibc_2.11-0exp5.dsc
glibc-doc_2.11-0exp5_all.deb
  to main/e/eglibc/glibc-doc_2.11-0exp5_all.deb
libc-bin_2.11-0exp5_armel.deb
  to main/e/eglibc/libc-bin_2.11-0exp5_armel.deb
libc-dev-bin_2.11-0exp5_armel.deb
  to main/e/eglibc/libc-dev-bin_2.11-0exp5_armel.deb
libc6-dbg_2.11-0exp5_armel.deb
  to main/e/eglibc/libc6-dbg_2.11-0exp5_armel.deb
libc6-dev_2.11-0exp5_armel.deb
  to main/e/eglibc/libc6-dev_2.11-0exp5_armel.deb
libc6-pic_2.11-0exp5_armel.deb
  to main/e/eglibc/libc6-pic_2.11-0exp5_armel.deb
libc6-prof_2.11-0exp5_armel.deb
  to main/e/eglibc/libc6-prof_2.11-0exp5_armel.deb
libc6-udeb_2.11-0exp5_armel.udeb
  to main/e/eglibc/libc6-udeb_2.11-0exp5_armel.udeb
libc6_2.11-0exp5_armel.deb
  to main/e/eglibc/libc6_2.11-0exp5_armel.deb
libnss-dns-udeb_2.11-0exp5_armel.udeb
  to main/e/eglibc/libnss-dns-udeb_2.11-0exp5_armel.udeb
libnss-files-udeb_2.11-0exp5_armel.udeb
  to main/e/eglibc/libnss-files-udeb_2.11-0exp5_armel.udeb
locales-all_2.11-0exp5_armel.deb
  to main/e/eglibc/locales-all_2.11-0exp5_armel.deb
locales_2.11-0exp5_all.deb
  to main/e/eglibc/locales_2.11-0exp5_all.deb
nscd_2.11-0exp5_armel.deb
  to main/e/eglibc/nscd_2.11-0exp5_armel.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 568924@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 09 Feb 2010 23:24:46 +0100
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-sparcv9b libc6-i686 libc6-xen libc0.1-i686 libc6.1-alphaev67 libnss-dns-udeb libnss-files-udeb
Architecture: source all armel
Version: 2.11-0exp5
Distribution: experimental
Urgency: low
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-amd64 - GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - GNU C Library: 32bit powerpc development libraries for ppc64
 libc6-dev-ppc64 - GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - GNU C Library: 64bit Development Libraries for IBM zSeries
 libc6-dev-sparc64 - GNU C Library: 64bit Development Libraries for UltraSPARC
 libc6-i386 - GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc6-mips64 - GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390x - GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-sparcv9b - GNU C Library: Shared libraries [v9b optimized]
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - GNU C Library: Shared libraries [Xen version]
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-alphaev67 - GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 locales-all - Embedded GNU C Library: Precompiled locale data
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Closes: 568488 568924
Changes: 
 eglibc (2.11-0exp5) experimental; urgency=low
 .
   [ Clint Adams ]
   * New upstream release:
     - Fixes a house of mind attack.  Closes: bug#568488.
     - Add the fallocate64() syscall.  Closes: bug#568924.
     - Update debian/patches/all/local-pthread-manpages.diff
     - Remove debian/patches/alpha/submitted-getsysstats.diff (merged)
     - Remove debian/patches/alpha/submitted-includes.diff (merged)
     - Remove debian/patches/alpha/submitted-lowlevellock.diff (merged)
     - Remove debian/patches/alpha/submitted-procfs_h.diff (merged)
     - Remove debian/patches/any/cvs-broken-dns.diff (merged)
     - Remove debian/patches/any/cvs-getutmpx-compat.diff (merged)
     - Remove debian/patches/any/cvs-malloc_info-output.diff (merged)
     - Remove debian/patches/any/cvs-nptl-init.diff (merged)
     - Remove debian/patches/any/cvs-resolv-edns0.diff (merged)
     - Remove debian/patches/any/cvs-resolv-init.diff (merged)
     - Remove debian/patches/any/cvs-resolv-uninitialized.diff (merged)
     - Remove debian/patches/any/cvs-resolv-v6mapped.diff (merged)
     - Remove debian/patches/any/local-dynamic-resolvconf.diff (merged)
     - Update debian/patches/any/local-libgcc-compat-main.diff
     - Remove debian/patches/any/submitted-getent-gshadow.diff (merged)
     - Update debian/patches/any/submitted-missing-etc-hosts.diff.
     - Update debian/patches/hppa/cvs-nptl-compat.diff.
     - Remove debian/patches/hurd-i386/cvs-termios-IXANY.patch (merged)
     - Update debian/patches/hurd-i386/submitted-readlinkat.diff
     - Update debian/patches/localedata/first_weekday.diff
     - Remove debian/patches/locale/cvs-C-first_weekday.diff (merged)
     - Remove debian/patches/mips/local-lazy-eval.diff (obsolete)
     - Remove debian/patches/ia64/submitted-siginfo.diff (merged)
     - Remove debian/patches/ia64/cvs-memchr.diff (merged)
     - Remove debian/patches/s390/submitted-siginfo.diff (merged)
     - Remove debian/patches/any/cvs-malloc-check.diff (merged)
     - Remove debian/patches/hppa/submitted-sock_nonblock.diff (merged)
     - Remove debian/patches/hppa/submitted-pie.diff (merged)
     - Remove debian/patches/any/cvs-ksm.diff (merged)
     - Remove debian/patches/any/cvs-sched_h.diff (merged)
     - testsuite-checking/expected-results-ia64-linux-gnu-libc: update
     - Update debian/patches/localedata/tailor-iso14651_t1.diff
     - Add debian/patches/localedata/locale-hsb_DE.diff
     - Update testsuite-checking/expected-results-sparc-linux-gnu-libc
     - Update testsuite-checking/expected-results-sparcv9b-linux-gnu-sparcv9b
     - Remove debian/patches/any/cvs-nis-not-configured.diff (merged)
     - Update debian/patches/hppa/local-stack-grows-up.diff from
       Carlos O'Donell.
   * Add debian/patches/alpha/local-fcntl_h.diff.
   * Add debian/patches/hppa/ELF_MACHINE_BEFORE_RTLD_RELOC.diff from
     Carlos O'Donell.
   * Add debian/patches/hppa/_dl_fptr_init.diff from Carlos O'Donnell.
 .
   [ Aurelien Jarno ]
   * Enable multi-arch.
   * Add debian/patches/s390/cvs-longjmp.diff from upstream to
     fix ____longjmp_chk on s390 and s390x.
   * Add debian/patches/kfreebsd/local-syscalls_2.11.patch to add the
     lchflag syscalls on GNU/kFreeBSD.
   * Add debian/patches/alpha/local-longjmp-chk.diff and
     debian/patches/alpha/cvs-timer_settime.diff to fix FTBFS on alpha, and
     debian/patches/alpha/local-lowlevellock.diff to fix the testsuite.
   * Add debian/patches/mips/local-lowlevellock.diff to fix the testsuite
     on mips.
   * Reenable the testsuite on mips/mipsel build daemons.
   * Add debian/patches/arm/local-atomic.diff to fix the testsuite on arm.
   * Add debian/patches/hppa/local-longjmp-chk.diff to fix FTBFS on hppa.
 .
   [ Samuel Thibault ]
   * debian/patches/hurd-i386/submitted-rtld_lock_recursive.diff: New patch to
     fix elf/ build on hurd-i386.
   * debian/patches/hurd-i386/local-longjmp_chk.diff: New patch to fix
     debug/____longjmp_chk.S build on hurd-i386.
   * Update debian/patches/hurd-i386/local-pthread.diff.
   * Update debian/testsuite-checking/expected-results-i486-gnu-libc.
 .
   [ Petr Salinger]
   * define __rtld_lock_initialize also in linuxthreads <bits/libc-lock.h>
     variant (enhance local-linuxthreads-weak.diff).
   * allow failure of tst-longjmp_chk.out on GNU/kFreeBSD
   * Add kfreebsd/local-dosavesse.diff, which does not work,
     so rather use also added kfreebsd/local-nosavesse.diff
Checksums-Sha1: 
 dba819e9fe7c541f6a8752e6dcad950035bcbc29 3444 eglibc_2.11-0exp5.dsc
 2441cb2faa234a5ac7e2f38db3f5be7f2aa40520 785417 eglibc_2.11-0exp5.diff.gz
 c0eb7984fa33eb8bf4e658cda3138608a2903a72 1837340 glibc-doc_2.11-0exp5_all.deb
 4a889af535289dfef9513e3c32d12afb9842538f 11060046 eglibc-source_2.11-0exp5_all.deb
 cc56a2f3768db6043dcf7cc874a78883fd532059 4754848 locales_2.11-0exp5_all.deb
 357456e8cee6093eb6dd60ec45851c7b30e4b61b 4171762 libc6_2.11-0exp5_armel.deb
 c12043a4a3fb340aeebe7e3f9ae4e3f436aa23ad 2510304 libc6-dev_2.11-0exp5_armel.deb
 33515acb818ed3b98e22c23ae75ff3f0b43a22ea 1973562 libc6-prof_2.11-0exp5_armel.deb
 bcf11b8270d950817e66164377ddb1edb5b30daf 1441498 libc6-pic_2.11-0exp5_armel.deb
 a954d3fb4dd9f211a912cad16bf98f6991cb478d 697682 libc-bin_2.11-0exp5_armel.deb
 dffec003d37e2dc89e4f2c44bbfce972da92fb4b 200394 libc-dev-bin_2.11-0exp5_armel.deb
 5fa1ced89f7c6e7c7662dd6d854e863b4ddb8cc6 3634314 locales-all_2.11-0exp5_armel.deb
 d03bee8e79f9cae036ff933a574cac698b2f04aa 188286 nscd_2.11-0exp5_armel.deb
 8aa43b835636905e1e3e60da88bf32f12276e20f 6156374 libc6-dbg_2.11-0exp5_armel.deb
 7823fe4653ada2144a68623fab598e372913b9c8 1095172 libc6-udeb_2.11-0exp5_armel.udeb
 b46d4d7fd9c9887d71a9b70db3286af82cb15e0f 9562 libnss-dns-udeb_2.11-0exp5_armel.udeb
 28a08cc33aca8377114062cee2bd415489ee2ad0 15756 libnss-files-udeb_2.11-0exp5_armel.udeb
Checksums-Sha256: 
 0019faaad4c000cabc8a2bf0903b4207c9fb9e1d0852cb07127aeb260c2d92b2 3444 eglibc_2.11-0exp5.dsc
 7b629d8f818be4c9c2ec4d11a25c9cc69889ff268abbcadf9a4b734ad27f24a1 785417 eglibc_2.11-0exp5.diff.gz
 d829fca092b48868995d3883217966ccf88f54c83aaeaba530c3473066e1afd6 1837340 glibc-doc_2.11-0exp5_all.deb
 e797998822323452afea9af8c2145c80f6397a3e70c4aa1271faddf14da1c464 11060046 eglibc-source_2.11-0exp5_all.deb
 3f0a79b46097e68ad7fa90fea2920708fade41349975aace1050da5f5cddaf54 4754848 locales_2.11-0exp5_all.deb
 5fd9d5351cb8e1f4fc6428c410bac24815dac01506e58c8b38ec3f0f5440a1a9 4171762 libc6_2.11-0exp5_armel.deb
 420e92e1cd6e808930f66323884bcd176fdaa9f85c06046272b2be2112d9c700 2510304 libc6-dev_2.11-0exp5_armel.deb
 95d73bed80df3b2eb45780802b895ec85390be4e72c59f2aaa5e24af9d069c3a 1973562 libc6-prof_2.11-0exp5_armel.deb
 dcc94c28647590e266a7ae79824213ba7ce10acba6797184f359412ca394b1ef 1441498 libc6-pic_2.11-0exp5_armel.deb
 5e78252426d3ec246f6b36e33507657e13bca20c584d45db1fb433939d159c14 697682 libc-bin_2.11-0exp5_armel.deb
 e511752d901653e18ec676de15800dbd4e1bf7a4be5e7e3d4fa6885baf0b7ddb 200394 libc-dev-bin_2.11-0exp5_armel.deb
 da35dbae6a36a8063387889f4b14b03b07a56c657469919fc1cceaa60e5e37d0 3634314 locales-all_2.11-0exp5_armel.deb
 964d98464e558e30552eb6c36720804952197ab1737ed574c835eb76a7c1c917 188286 nscd_2.11-0exp5_armel.deb
 579e0fb88ae7842fae32e762544c32f8679460340c1b44ad6f723e6e4a373f21 6156374 libc6-dbg_2.11-0exp5_armel.deb
 2cd31d09eb2424643214814b1b00add20febe9820bdbd4c3b66ce91a7cdf1185 1095172 libc6-udeb_2.11-0exp5_armel.udeb
 618dfc49dea085e38c5c554b0d02b4ffde6d9f34b722d2f5b5167c228abe30bf 9562 libnss-dns-udeb_2.11-0exp5_armel.udeb
 7381c74f6aa0bd10de3237714ce86a41daae1038442878692cc6fb383d6da2b1 15756 libnss-files-udeb_2.11-0exp5_armel.udeb
Files: 
 ed925187d28c4d1e55d9bf5691e71abf 3444 libs required eglibc_2.11-0exp5.dsc
 b5635252cdf21c863fbd60dcb305d4a7 785417 libs required eglibc_2.11-0exp5.diff.gz
 d1f8bbd6bc577bedea4bfc7264fafc9a 1837340 doc optional glibc-doc_2.11-0exp5_all.deb
 7a6896ebf3d7891ba155024d2609bdc9 11060046 devel optional eglibc-source_2.11-0exp5_all.deb
 7caee78b71d8a3d56cfc347e46c87213 4754848 localization standard locales_2.11-0exp5_all.deb
 4e583c60e56eb93f699e1a418aa1f9b9 4171762 libs required libc6_2.11-0exp5_armel.deb
 34d2d2f04b9258f1ae407649dc084a7a 2510304 libdevel optional libc6-dev_2.11-0exp5_armel.deb
 a6fbb846ea05a5c577ec59639e36f04b 1973562 libdevel extra libc6-prof_2.11-0exp5_armel.deb
 490695c8b94f2e60bae9ba0e02ef19db 1441498 libdevel optional libc6-pic_2.11-0exp5_armel.deb
 ee6c076c9a01beadbd70c87c9a9eab26 697682 libs required libc-bin_2.11-0exp5_armel.deb
 122a93b4563596028d3f39cec5162c51 200394 libdevel optional libc-dev-bin_2.11-0exp5_armel.deb
 4a50cf6324c73fd0eaf0af2629403344 3634314 localization extra locales-all_2.11-0exp5_armel.deb
 15281cc7a87b473c770db01468e22e6e 188286 admin optional nscd_2.11-0exp5_armel.deb
 595cdc9f1208eec0ab10ddf251966ce2 6156374 debug extra libc6-dbg_2.11-0exp5_armel.deb
 7a7805028f1fd1b0d40bc1cffa2182ea 1095172 debian-installer extra libc6-udeb_2.11-0exp5_armel.udeb
 a59dec33fdb5cfaf9ff2837bd8b5a25d 9562 debian-installer extra libnss-dns-udeb_2.11-0exp5_armel.udeb
 8949c9415f8e7d6430782b1e3e1546cf 15756 debian-installer extra libnss-files-udeb_2.11-0exp5_armel.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Debian!

iQIcBAEBCgAGBQJLc2KyAAoJEFWSMx4ZnTiooc8QAJOlOXwUIfAsE9bQO8gy+NIN
LLdsUasLIQckgpzcY70CgxU282RJIVTY+tJu3R09M0hKVac7DsgbOjBxCjL0tPH7
hDqkoXnnzYWlZtddYrZGG4zi6vL/+x+OskdgHYx3uDwr3U/0SsWqY5ZEELxquE1H
2iXANTFCliBJItFxJseU5Csko3nCwUo6XbZ/6tRsw/mF0jX3FwAJ17WONWcbT+YJ
htOE4+TsyPFlpNd3X2hLP3R254QXeWgKvHyJPHIFgeqN8N0MsPoRRWjNRi1ej88p
RpWAcybdL0/aqpONPsCXQJv0aVVjppw0dPgQ7h2JfM2r74bM+ILiMS0po+55dOxk
VojzPLWCgp4Ykjyg+oqPfUKB5ymTce80I8EYavJV65G/L+WUXA8quZMxZ7wGMijn
GPrVbiozazvVPIxZ/aIh1Oey+zDLyJ2U8IhdEqGijPEvW8nVOECZVqJBC+D+5Izi
TheZ6aA5laE5J/bTFbCu/uoAezNKCLyGhvO955/4xfjjbAUFdU5pBF1SjS9ssr52
UMi3hXOuXZrmQx3OWApM9HHNgkTFDQ7H3kJGV4h3uQpgbo3zqAOrGbxWuYjsFGI+
GCdCR8nMxeb67i511TeuAzTHWYbqoKCOJ3W4ctUdV2KLaohcZmG6l0guqO8p0o01
xzcDyzs2U7OU5O+nEbvZ
=dzfQ
-----END PGP SIGNATURE-----





Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Mon, 01 Mar 2010 00:18:15 GMT) Full text and rfc822 format available.

Notification sent to Sebastian Andrzej Siewior <sebastian@breakpoint.cc>:
Bug acknowledged by developer. (Mon, 01 Mar 2010 00:18:16 GMT) Full text and rfc822 format available.

Message #22 received at 568924-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 568924-close@bugs.debian.org
Subject: Bug#568924: fixed in eglibc 2.11-0exp6
Date: Mon, 01 Mar 2010 00:17:40 +0000
Source: eglibc
Source-Version: 2.11-0exp6

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.11-0exp6_all.deb
  to main/e/eglibc/eglibc-source_2.11-0exp6_all.deb
eglibc_2.11-0exp6.diff.gz
  to main/e/eglibc/eglibc_2.11-0exp6.diff.gz
eglibc_2.11-0exp6.dsc
  to main/e/eglibc/eglibc_2.11-0exp6.dsc
glibc-doc_2.11-0exp6_all.deb
  to main/e/eglibc/glibc-doc_2.11-0exp6_all.deb
locales_2.11-0exp6_all.deb
  to main/e/eglibc/locales_2.11-0exp6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 568924@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 11 Feb 2010 14:57:51 +0100
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-sparcv9b libc6-i686 libc6-xen libc0.1-i686 libc6.1-alphaev67 libnss-dns-udeb libnss-files-udeb
Architecture: source all
Version: 2.11-0exp6
Distribution: experimental
Urgency: low
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-amd64 - GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - GNU C Library: 32bit powerpc development libraries for ppc64
 libc6-dev-ppc64 - GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - GNU C Library: 64bit Development Libraries for IBM zSeries
 libc6-dev-sparc64 - GNU C Library: 64bit Development Libraries for UltraSPARC
 libc6-i386 - GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc6-mips64 - GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390x - GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-sparcv9b - GNU C Library: Shared libraries [v9b optimized]
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - GNU C Library: Shared libraries [Xen version]
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-alphaev67 - GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 locales-all - Embedded GNU C Library: Precompiled locale data
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Closes: 568488 568924 569592
Changes: 
 eglibc (2.11-0exp6) experimental; urgency=low
 .
   [ Clint Adams ]
   * New upstream release:
     - Fixes a house of mind attack.  Closes: bug#568488.
     - Add the fallocate64() syscall.  Closes: bug#568924.
     - Add RES_USE_DNSSEC support.  Closes: bug#569592.
     - Update debian/patches/all/local-pthread-manpages.diff
     - Remove debian/patches/alpha/submitted-getsysstats.diff (merged)
     - Remove debian/patches/alpha/submitted-includes.diff (merged)
     - Remove debian/patches/alpha/submitted-lowlevellock.diff (merged)
     - Remove debian/patches/alpha/submitted-procfs_h.diff (merged)
     - Remove debian/patches/any/cvs-broken-dns.diff (merged)
     - Remove debian/patches/any/cvs-getutmpx-compat.diff (merged)
     - Remove debian/patches/any/cvs-malloc_info-output.diff (merged)
     - Remove debian/patches/any/cvs-nptl-init.diff (merged)
     - Remove debian/patches/any/cvs-resolv-edns0.diff (merged)
     - Remove debian/patches/any/cvs-resolv-init.diff (merged)
     - Remove debian/patches/any/cvs-resolv-uninitialized.diff (merged)
     - Remove debian/patches/any/cvs-resolv-v6mapped.diff (merged)
     - Remove debian/patches/any/local-dynamic-resolvconf.diff (merged)
     - Update debian/patches/any/local-libgcc-compat-main.diff
     - Remove debian/patches/any/submitted-getent-gshadow.diff (merged)
     - Update debian/patches/any/submitted-missing-etc-hosts.diff.
     - Update debian/patches/hppa/cvs-nptl-compat.diff.
     - Remove debian/patches/hurd-i386/cvs-termios-IXANY.patch (merged)
     - Update debian/patches/hurd-i386/submitted-readlinkat.diff
     - Update debian/patches/localedata/first_weekday.diff
     - Remove debian/patches/locale/cvs-C-first_weekday.diff (merged)
     - Remove debian/patches/mips/local-lazy-eval.diff (obsolete)
     - Remove debian/patches/ia64/submitted-siginfo.diff (merged)
     - Remove debian/patches/ia64/cvs-memchr.diff (merged)
     - Remove debian/patches/s390/submitted-siginfo.diff (merged)
     - Remove debian/patches/any/cvs-malloc-check.diff (merged)
     - Remove debian/patches/hppa/submitted-sock_nonblock.diff (merged)
     - Remove debian/patches/hppa/submitted-pie.diff (merged)
     - Remove debian/patches/any/cvs-ksm.diff (merged)
     - Remove debian/patches/any/cvs-sched_h.diff (merged)
     - testsuite-checking/expected-results-ia64-linux-gnu-libc: update
     - Update debian/patches/localedata/tailor-iso14651_t1.diff
     - Add debian/patches/localedata/locale-hsb_DE.diff
     - Update testsuite-checking/expected-results-sparc-linux-gnu-libc
     - Update testsuite-checking/expected-results-sparcv9b-linux-gnu-sparcv9b
     - Remove debian/patches/any/cvs-nis-not-configured.diff (merged)
     - Update debian/patches/hppa/local-stack-grows-up.diff from
       Carlos O'Donell.
   * Add debian/patches/alpha/local-fcntl_h.diff.
   * Add debian/patches/hppa/local-ELF_MACHINE_BEFORE_RTLD_RELOC.diff from
     Carlos O'Donell.
   * Add debian/patches/hppa/local-_dl_fptr_init.diff from Carlos O'Donnell.
 .
   [ Aurelien Jarno ]
   * Enable multi-arch.
   * Add debian/patches/s390/cvs-longjmp.diff from upstream to
     fix ____longjmp_chk on s390 and s390x.
   * Add debian/patches/kfreebsd/local-syscalls_2.11.patch to add the
     lchflag syscalls on GNU/kFreeBSD.
   * Add debian/patches/alpha/local-longjmp-chk.diff and
     debian/patches/alpha/cvs-timer_settime.diff to fix FTBFS on alpha, and
     debian/patches/alpha/local-lowlevellock.diff to fix the testsuite.
   * Add debian/patches/mips/local-lowlevellock.diff to fix the testsuite
     on mips.
   * Reenable the testsuite on mips/mipsel build daemons.
   * Add debian/patches/arm/local-atomic.diff to fix the testsuite on arm.
   * Add debian/patches/hppa/local-longjmp-chk.diff to fix FTBFS on hppa.
   * Add debian/patches/hppa/local-lowlevellock.diff to fix the testsuite
     on hppa.
 .
   [ Samuel Thibault ]
   * debian/patches/hurd-i386/submitted-rtld_lock_recursive.diff: New patch to
     fix elf/ build on hurd-i386.
   * debian/patches/hurd-i386/local-longjmp_chk.diff: New patch to fix
     debug/____longjmp_chk.S build on hurd-i386.
   * Update debian/patches/hurd-i386/local-pthread.diff.
   * Update debian/testsuite-checking/expected-results-i486-gnu-libc.
 .
   [ Petr Salinger]
   * define __rtld_lock_initialize also in linuxthreads <bits/libc-lock.h>
     variant (enhance local-linuxthreads-weak.diff).
   * allow failure of tst-longjmp_chk.out on GNU/kFreeBSD
   * Add kfreebsd/local-dosavesse.diff, which does not work,
     so rather use also added kfreebsd/local-nosavesse.diff
Checksums-Sha1: 
 3bfa3aca552e700b404d152a9e78cad0591dfa81 3444 eglibc_2.11-0exp6.dsc
 6c6b8b07e35a60b1ebafb718134d130e415f0c69 785445 eglibc_2.11-0exp6.diff.gz
 a5cf4d2aa4a3b735b5ce1d4f263d4b067d7ad9a2 1837732 glibc-doc_2.11-0exp6_all.deb
 060d0e1d18e6dad87c9ce3a617a5d1d9a4d6f38d 11056474 eglibc-source_2.11-0exp6_all.deb
 d3d73b6651ee7bde7d966374dc08d24ec0044c64 4755400 locales_2.11-0exp6_all.deb
Checksums-Sha256: 
 697ae033a568f910259a8bb947d0c68958188716491ffc1114fa89ffe8a248f6 3444 eglibc_2.11-0exp6.dsc
 7655e99cc1ff83c437112de3ca0725857d8bbe4e0f63e947966bac715fac3d9c 785445 eglibc_2.11-0exp6.diff.gz
 6701e8b385d3edc2d6221f6e2153f0ab74b23325d4b4fdad814422e206af2371 1837732 glibc-doc_2.11-0exp6_all.deb
 892b740820034a5863f9151b51ca85ec73f26a8f4e2d11b9077dff7f2a914abe 11056474 eglibc-source_2.11-0exp6_all.deb
 8e36f769607b679d73f5b9a61eb63101c2f1dcbaa73f7cf011e1755454197459 4755400 locales_2.11-0exp6_all.deb
Files: 
 25068f01bf0eabb1cc516c4676dc379e 3444 libs required eglibc_2.11-0exp6.dsc
 01374ed2ca7c8b1de5f948945d8c4f9b 785445 libs required eglibc_2.11-0exp6.diff.gz
 d094c74442cfc5f6e8406420fed5e113 1837732 doc optional glibc-doc_2.11-0exp6_all.deb
 77f2c1c7e13f41d267485fb3d6490a84 11056474 devel optional eglibc-source_2.11-0exp6_all.deb
 3fddb52ce81ca41097deba24d79bf413 4755400 localization standard locales_2.11-0exp6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Debian!

iQIcBAEBCgAGBQJLiwQ9AAoJEFWSMx4ZnTio7loP/03dcr65F7LIBM/UhrdbR2rg
UoWGedamuZGAMk8ukFGPmZMgE7ObLkwfUDCIXJ5QIlnZ3xWT8gzhUpF/bAfTRXfu
MI45kpAouInMLMwi7Q5cHwqWKrZVcuKqotatvzK8VC5it1mm6ed9z7f71oU+eJWc
jS4W1zco/HKr3jaH+SfXkMJ/lbAk6VMBtsTSNbG7WQYeUSBbFje4Pftx5X/6cMp3
QwEyVQ2iRZp4umNn9L3/Uz0PlNBxWq1W4pHneac2Elca8yZOlco73zKeeF+fGZ6c
d5R4p14Jshpw8xdS9YVfIJvI31bdQ05sVyTkL6emN5kQQXvwPxKEsts7IO91/BrF
rh/31WXt6CVySpLm6XJcHCjF55BpgvPSpR99pQ3mbFAwyXfJmsWQx0rysuLuLFPJ
gVCCYZhF+GXsdkjng5hDk6ida+/2gXeHCyNJ5haKG+XIJd6o/DvdMYUvExfLsHGd
2/VsOwacaXhc8cRG4aKJmTKMSP+1jBCwQN+00yjpRI3bcAFC6mywqjXGnFgh1+sM
WxqfF2Wuit+t61/+nJ4lEf7YkPSAzqD7fSq6Hidd8C0/IXEPzTEKfgz5G1hf4D6u
JNNXXVnPTIIuEZmCoN483RdFGT7unyCz318y40z8sB9FBgWrKM0ameGP5iTZYTIl
Tf+HjJ+hfCfuzUfdvngb
=5HhB
-----END PGP SIGNATURE-----





Reply sent to Clint Adams <schizo@debian.org>:
You have taken responsibility. (Mon, 12 Apr 2010 00:21:12 GMT) Full text and rfc822 format available.

Notification sent to Sebastian Andrzej Siewior <sebastian@breakpoint.cc>:
Bug acknowledged by developer. (Mon, 12 Apr 2010 00:21:12 GMT) Full text and rfc822 format available.

Message #27 received at 568924-close@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: 568924-close@bugs.debian.org
Subject: Bug#568924: fixed in eglibc 2.11-0exp7
Date: Mon, 12 Apr 2010 00:19:09 +0000
Source: eglibc
Source-Version: 2.11-0exp7

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.11-0exp7_all.deb
  to main/e/eglibc/eglibc-source_2.11-0exp7_all.deb
eglibc_2.11-0exp7.diff.gz
  to main/e/eglibc/eglibc_2.11-0exp7.diff.gz
eglibc_2.11-0exp7.dsc
  to main/e/eglibc/eglibc_2.11-0exp7.dsc
glibc-doc_2.11-0exp7_all.deb
  to main/e/eglibc/glibc-doc_2.11-0exp7_all.deb
libc-bin_2.11-0exp7_armel.deb
  to main/e/eglibc/libc-bin_2.11-0exp7_armel.deb
libc-dev-bin_2.11-0exp7_armel.deb
  to main/e/eglibc/libc-dev-bin_2.11-0exp7_armel.deb
libc6-dbg_2.11-0exp7_armel.deb
  to main/e/eglibc/libc6-dbg_2.11-0exp7_armel.deb
libc6-dev_2.11-0exp7_armel.deb
  to main/e/eglibc/libc6-dev_2.11-0exp7_armel.deb
libc6-pic_2.11-0exp7_armel.deb
  to main/e/eglibc/libc6-pic_2.11-0exp7_armel.deb
libc6-prof_2.11-0exp7_armel.deb
  to main/e/eglibc/libc6-prof_2.11-0exp7_armel.deb
libc6-udeb_2.11-0exp7_armel.udeb
  to main/e/eglibc/libc6-udeb_2.11-0exp7_armel.udeb
libc6_2.11-0exp7_armel.deb
  to main/e/eglibc/libc6_2.11-0exp7_armel.deb
libnss-dns-udeb_2.11-0exp7_armel.udeb
  to main/e/eglibc/libnss-dns-udeb_2.11-0exp7_armel.udeb
libnss-files-udeb_2.11-0exp7_armel.udeb
  to main/e/eglibc/libnss-files-udeb_2.11-0exp7_armel.udeb
locales-all_2.11-0exp7_armel.deb
  to main/e/eglibc/locales-all_2.11-0exp7_armel.deb
locales_2.11-0exp7_all.deb
  to main/e/eglibc/locales_2.11-0exp7_all.deb
nscd_2.11-0exp7_armel.deb
  to main/e/eglibc/nscd_2.11-0exp7_armel.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 568924@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Clint Adams <schizo@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 28 Feb 2010 13:58:17 -0500
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-sparcv9b libc6-i686 libc6-xen libc0.1-i686 libc6.1-alphaev67 libnss-dns-udeb libnss-files-udeb
Architecture: source all armel
Version: 2.11-0exp7
Distribution: experimental
Urgency: low
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Changed-By: Clint Adams <schizo@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-amd64 - GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - GNU C Library: 32bit powerpc development libraries for ppc64
 libc6-dev-ppc64 - GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - GNU C Library: 64bit Development Libraries for IBM zSeries
 libc6-dev-sparc64 - GNU C Library: 64bit Development Libraries for UltraSPARC
 libc6-i386 - GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc6-mips64 - GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390x - GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-sparcv9b - GNU C Library: Shared libraries [v9b optimized]
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - GNU C Library: Shared libraries [Xen version]
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-alphaev67 - GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 locales-all - Embedded GNU C Library: Precompiled locale data
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Closes: 568488 568924 569592
Changes: 
 eglibc (2.11-0exp7) experimental; urgency=low
 .
   [ Clint Adams ]
   * New upstream release:
     - Fixes a house of mind attack.  Closes: bug#568488.
     - Add the fallocate64() syscall.  Closes: bug#568924.
     - Add RES_USE_DNSSEC support.  Closes: bug#569592.
     - Update debian/patches/all/local-pthread-manpages.diff
     - Remove debian/patches/alpha/submitted-getsysstats.diff (merged)
     - Remove debian/patches/alpha/submitted-includes.diff (merged)
     - Remove debian/patches/alpha/submitted-lowlevellock.diff (merged)
     - Remove debian/patches/alpha/submitted-procfs_h.diff (merged)
     - Remove debian/patches/any/cvs-broken-dns.diff (merged)
     - Remove debian/patches/any/cvs-getutmpx-compat.diff (merged)
     - Remove debian/patches/any/cvs-malloc_info-output.diff (merged)
     - Remove debian/patches/any/cvs-nptl-init.diff (merged)
     - Remove debian/patches/any/cvs-resolv-edns0.diff (merged)
     - Remove debian/patches/any/cvs-resolv-init.diff (merged)
     - Remove debian/patches/any/cvs-resolv-uninitialized.diff (merged)
     - Remove debian/patches/any/cvs-resolv-v6mapped.diff (merged)
     - Remove debian/patches/any/local-dynamic-resolvconf.diff (merged)
     - Update debian/patches/any/local-libgcc-compat-main.diff
     - Remove debian/patches/any/submitted-getent-gshadow.diff (merged)
     - Update debian/patches/any/submitted-missing-etc-hosts.diff.
     - Update debian/patches/hppa/cvs-nptl-compat.diff.
     - Remove debian/patches/hurd-i386/cvs-termios-IXANY.patch (merged)
     - Update debian/patches/hurd-i386/submitted-readlinkat.diff
     - Update debian/patches/localedata/first_weekday.diff
     - Remove debian/patches/locale/cvs-C-first_weekday.diff (merged)
     - Remove debian/patches/mips/local-lazy-eval.diff (obsolete)
     - Remove debian/patches/ia64/submitted-siginfo.diff (merged)
     - Remove debian/patches/ia64/cvs-memchr.diff (merged)
     - Remove debian/patches/s390/submitted-siginfo.diff (merged)
     - Remove debian/patches/any/cvs-malloc-check.diff (merged)
     - Remove debian/patches/hppa/submitted-sock_nonblock.diff (merged)
     - Remove debian/patches/hppa/submitted-pie.diff (merged)
     - Remove debian/patches/any/cvs-ksm.diff (merged)
     - Remove debian/patches/any/cvs-sched_h.diff (merged)
     - testsuite-checking/expected-results-ia64-linux-gnu-libc: update
     - Update debian/patches/localedata/tailor-iso14651_t1.diff
     - Add debian/patches/localedata/locale-hsb_DE.diff
     - Update testsuite-checking/expected-results-sparc-linux-gnu-libc
     - Update testsuite-checking/expected-results-sparcv9b-linux-gnu-sparcv9b
     - Remove debian/patches/any/cvs-nis-not-configured.diff (merged)
     - Update debian/patches/hppa/local-stack-grows-up.diff from
       Carlos O'Donell.
     - Update debian/patches/hurd-i386/cvs-setsid.diff.
   * Add debian/patches/alpha/local-fcntl_h.diff.
   * Add debian/patches/hppa/local-ELF_MACHINE_BEFORE_RTLD_RELOC.diff from
     Carlos O'Donell.
   * Add debian/patches/hppa/local-_dl_fptr_init.diff from Carlos O'Donnell.
 .
   [ Aurelien Jarno ]
   * Enable multi-arch.
   * Add debian/patches/s390/cvs-longjmp.diff from upstream to
     fix ____longjmp_chk on s390 and s390x.
   * Add debian/patches/kfreebsd/local-syscalls_2.11.patch to add the
     lchflag syscalls on GNU/kFreeBSD.
   * Add debian/patches/alpha/local-longjmp-chk.diff and
     debian/patches/alpha/cvs-timer_settime.diff to fix FTBFS on alpha, and
     debian/patches/alpha/local-lowlevellock.diff to fix the testsuite.
   * Add debian/patches/mips/local-lowlevellock.diff to fix the testsuite
     on mips.
   * Reenable the testsuite on mips/mipsel build daemons.
   * Add debian/patches/arm/local-atomic.diff to fix the testsuite on arm.
   * Add debian/patches/hppa/local-longjmp-chk.diff to fix FTBFS on hppa.
   * Add debian/patches/hppa/local-lowlevellock.diff to fix the testsuite
     on hppa.
 .
   [ Samuel Thibault ]
   * debian/patches/hurd-i386/submitted-rtld_lock_recursive.diff: New patch to
     fix elf/ build on hurd-i386.
   * debian/patches/hurd-i386/local-longjmp_chk.diff: New patch to fix
     debug/____longjmp_chk.S build on hurd-i386.
   * Update debian/patches/hurd-i386/local-pthread.diff.
   * Update debian/testsuite-checking/expected-results-i486-gnu-libc.
 .
   [ Petr Salinger]
   * define __rtld_lock_initialize also in linuxthreads <bits/libc-lock.h>
     variant (enhance local-linuxthreads-weak.diff).
   * allow failure of tst-longjmp_chk.out on GNU/kFreeBSD
   * Add kfreebsd/local-dosavesse.diff, which does not work,
     so rather use also added kfreebsd/local-nosavesse.diff
Checksums-Sha1: 
 3ff301ddc5b412b9682934dcef8c5cbcd5c77954 3444 eglibc_2.11-0exp7.dsc
 df67e6c86ea9d3fc83853089f26ab0671a301834 22665733 eglibc_2.11.orig.tar.gz
 06406cdcd931c9f563b1879d8b75970ae350ea03 787435 eglibc_2.11-0exp7.diff.gz
 92c1be40f5d68673a78c410940bb11f107c6884c 1837758 glibc-doc_2.11-0exp7_all.deb
 93c8b5cc1d0b8f9c37bea3add19f9dbeb60efdbf 11055740 eglibc-source_2.11-0exp7_all.deb
 517678c5013ecf291a47ff320258973043651500 4755224 locales_2.11-0exp7_all.deb
 e91974c61e74e19d439f7d58c9e130d39ba9bdee 4173084 libc6_2.11-0exp7_armel.deb
 71243e3cc9b895f7dce4b7c257c8e6a91b8210a5 2511046 libc6-dev_2.11-0exp7_armel.deb
 f10be0f113b7a53bed0f8fa8e4f09843b7806a99 1974138 libc6-prof_2.11-0exp7_armel.deb
 0525f9d615fd51b811ac296d30ad8eccb4204ee1 1441950 libc6-pic_2.11-0exp7_armel.deb
 30e495dfba2ebcf6f566f8582f7f40f549639dea 698118 libc-bin_2.11-0exp7_armel.deb
 0cf8a3a3b86160cdaae096cc5e47211e0da6747e 200764 libc-dev-bin_2.11-0exp7_armel.deb
 da1e0fc6d92be76030e688aa39dae2c86e76415c 3580620 locales-all_2.11-0exp7_armel.deb
 095d3b41abd8e382ce8bfc6c936839b4fbe300c9 188660 nscd_2.11-0exp7_armel.deb
 1fcc8bbdbcadd51f351d31f29af26f68e4d3ae80 6157474 libc6-dbg_2.11-0exp7_armel.deb
 f4564f398af255b4d3df6856ea7607302f2984c9 1095302 libc6-udeb_2.11-0exp7_armel.udeb
 3e1613dfde9b78c61eb7e0ba7ee8f8a68b360421 9538 libnss-dns-udeb_2.11-0exp7_armel.udeb
 8ef90d57492cac5396564fb4a6b2f51d6bf8ceca 15696 libnss-files-udeb_2.11-0exp7_armel.udeb
Checksums-Sha256: 
 463a341757a024ce07ee7831dc1f21cf57a0105f4a425d3291bb094cc1d2dcff 3444 eglibc_2.11-0exp7.dsc
 1c43d1c5e1347ac3cf8901f9eaca4f95756d9c767e13f6d046d45349417c5145 22665733 eglibc_2.11.orig.tar.gz
 c9e32d269287b05b849c552885ae2be4052a51af1008114fc4ecf4edee911ede 787435 eglibc_2.11-0exp7.diff.gz
 830d91853a26ec3d97b5534b000c904c28385a4a7d66846bf40bbc09d6de23ba 1837758 glibc-doc_2.11-0exp7_all.deb
 3917afd226e95755700ab6669a0d4643da4e7b7971e5972cdc6662d5d355e8ff 11055740 eglibc-source_2.11-0exp7_all.deb
 7980d7003090b67010b5129d950b68580845d01cbb8587273638f76dedc5556f 4755224 locales_2.11-0exp7_all.deb
 c0ce687797ab9b56b938698b4120a87f8cf6683d01629cd92ffa65ac80545795 4173084 libc6_2.11-0exp7_armel.deb
 95227741d120856321cc899221bae258cc1eb197f99d92b61f25e190d95e8f11 2511046 libc6-dev_2.11-0exp7_armel.deb
 709f93076cdcecb929bfa624f18fd8f7eeb659e7e4d10bc6922dd69c35e15a5a 1974138 libc6-prof_2.11-0exp7_armel.deb
 81961962f86be9ff4290db134ca58c020cbf85f4297b2444274e29eb00571c97 1441950 libc6-pic_2.11-0exp7_armel.deb
 d09eb7ad79c06019505f98c44c6d083ad191b880b72f6d4585cef3896d109e26 698118 libc-bin_2.11-0exp7_armel.deb
 0cbc01c6bd261b076101d243247c611ad40af915f766ab23ad43a17e3a5381ce 200764 libc-dev-bin_2.11-0exp7_armel.deb
 2feaf8b2d0e7ce430f488b60fc82d9f28724d5ee94c7bb2a72fe29e4a3aed2c1 3580620 locales-all_2.11-0exp7_armel.deb
 6e0b9eb9f06fa8cc48a3011732279382949c9797211a80b649d609ad55dac0d9 188660 nscd_2.11-0exp7_armel.deb
 4a03f29c7c4b2bae15004e29a3c722166de2df53ccc16ace042fa676cb8dc9a4 6157474 libc6-dbg_2.11-0exp7_armel.deb
 a1531c9090651a2910fc5c6fbf5a82d412994d9afd8a97e1ce3ed2b4ea8b896f 1095302 libc6-udeb_2.11-0exp7_armel.udeb
 d5340c8a2e0e782b33847a18f59391d9fa963dae24b22a64a137a10f99b7242b 9538 libnss-dns-udeb_2.11-0exp7_armel.udeb
 2ebcb1e71613edec7194b07d1137e733c1cdee0f6ffbc1b44415e413604bc15a 15696 libnss-files-udeb_2.11-0exp7_armel.udeb
Files: 
 f356e67415e63c15ad24db61086cdaf6 3444 libs required eglibc_2.11-0exp7.dsc
 a1a06dba4a2d6d7ff8b98f98718f1b46 22665733 libs required eglibc_2.11.orig.tar.gz
 cc609359991884726fd003466da58c3f 787435 libs required eglibc_2.11-0exp7.diff.gz
 5ca0cd89cacf841fb2e8344461124dc0 1837758 doc optional glibc-doc_2.11-0exp7_all.deb
 04636a7323f049c780b52f5245c49ac0 11055740 devel optional eglibc-source_2.11-0exp7_all.deb
 14357b9a66e3b823cb798552f03d2461 4755224 localization standard locales_2.11-0exp7_all.deb
 d68a97cfadeedb67fbaa6dbaa910dc5d 4173084 libs required libc6_2.11-0exp7_armel.deb
 9a8b7e0adbe9725e8bce5948d8353fb3 2511046 libdevel optional libc6-dev_2.11-0exp7_armel.deb
 3a6bb266ffb772c72b1902fc107b1a0a 1974138 libdevel extra libc6-prof_2.11-0exp7_armel.deb
 452580ac75c0e817cddd753f896fa44c 1441950 libdevel optional libc6-pic_2.11-0exp7_armel.deb
 aa39f1ae6992b6bba1acf3a421cb8287 698118 libs required libc-bin_2.11-0exp7_armel.deb
 d9d418988650b2d75598937119fca029 200764 libdevel optional libc-dev-bin_2.11-0exp7_armel.deb
 380a5ed1cd9f5173da551b45b72291e4 3580620 localization extra locales-all_2.11-0exp7_armel.deb
 c16e0bc1d0c6305b861a201eb3fb9e77 188660 admin optional nscd_2.11-0exp7_armel.deb
 5e9b7e7b67973091cd5199dc2c1878d5 6157474 debug extra libc6-dbg_2.11-0exp7_armel.deb
 93214fd01d5b6e4286648ae572944c3a 1095302 debian-installer extra libc6-udeb_2.11-0exp7_armel.udeb
 de0681a7a51896f7d031bd0c7d037269 9538 debian-installer extra libnss-dns-udeb_2.11-0exp7_armel.udeb
 3fdac80cdd19e2b9d58dc5aa651d2ab3 15696 debian-installer extra libnss-files-udeb_2.11-0exp7_armel.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Debian!

iQIcBAEBCgAGBQJLwl7DAAoJEFWSMx4ZnTioSLQP/2V4B7St282yAcCbmYvG+Lln
OIRtXluTI8oPNFqhZTIN+uoUqAsjkjjsMOa79czxknjKT1eIOUFIQPZo5GHTMczu
TKQ8i/6HZqpXtw7MzTxCClRBKFQL87tOv1L4yMQA4JugphBEnM6W4kuuF4ZohXwq
FGHlEo7yNZDacWYpi42D33/tr//LgBlCF9pDF+0/d8ixGlMV3kmUqC1nLaQl8QUa
+7CmxfZVsDeffyWiUHE5+p09u1IBaTjY569UCIidh42muJZIvIbL3z6fEhW0d1I1
icNDtlxQUakT7d3ArqoRmKP4BHDga3LZLA1X2KP0DF/UKZXgNlK3lyLEjLNi6S4q
uU42vgsFuk++DhcZl4zZvrzRVSOwQ0RTo1up1Kz2QsNRhC77FC0PCkjz+A55Nsgv
GLrwtqJDkAxm8sEgYYjmFyl3zO7GkigWQbPjPDlOyp0UHJGYN0ecBU8WbD99gvq+
ySbfIXkU8JbdWcoH9yDPdF6rjC7Qz5yzNxLfyASH29POd96r9o7bZ8bf8NUapVya
JbK/jBM1L0xq3LCxWRVMgwjdxaC6dpF0Jf39BwpMleH28m1ZK7Cw447rYo4dwVt4
VWoBrqeTHlyNEy2Uiajzs8UiJBxLBicS6ZWYUqwZmw0xq8gPLcf5rmwG3lgkDoGX
TBB4hdC+ck6pjtp1gXPS
=FVcz
-----END PGP SIGNATURE-----





Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Mon, 24 May 2010 22:09:03 GMT) Full text and rfc822 format available.

Notification sent to Sebastian Andrzej Siewior <sebastian@breakpoint.cc>:
Bug acknowledged by developer. (Mon, 24 May 2010 22:09:03 GMT) Full text and rfc822 format available.

Message #32 received at 568924-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 568924-close@bugs.debian.org
Subject: Bug#568924: fixed in eglibc 2.11.1-0exp8
Date: Mon, 24 May 2010 22:06:42 +0000
Source: eglibc
Source-Version: 2.11.1-0exp8

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.11.1-0exp8_all.deb
  to main/e/eglibc/eglibc-source_2.11.1-0exp8_all.deb
eglibc_2.11.1-0exp8.diff.gz
  to main/e/eglibc/eglibc_2.11.1-0exp8.diff.gz
eglibc_2.11.1-0exp8.dsc
  to main/e/eglibc/eglibc_2.11.1-0exp8.dsc
eglibc_2.11.1.orig.tar.gz
  to main/e/eglibc/eglibc_2.11.1.orig.tar.gz
glibc-doc_2.11.1-0exp8_all.deb
  to main/e/eglibc/glibc-doc_2.11.1-0exp8_all.deb
libc-bin_2.11.1-0exp8_amd64.deb
  to main/e/eglibc/libc-bin_2.11.1-0exp8_amd64.deb
libc-dev-bin_2.11.1-0exp8_amd64.deb
  to main/e/eglibc/libc-dev-bin_2.11.1-0exp8_amd64.deb
libc6-dbg_2.11.1-0exp8_amd64.deb
  to main/e/eglibc/libc6-dbg_2.11.1-0exp8_amd64.deb
libc6-dev-i386_2.11.1-0exp8_amd64.deb
  to main/e/eglibc/libc6-dev-i386_2.11.1-0exp8_amd64.deb
libc6-dev_2.11.1-0exp8_amd64.deb
  to main/e/eglibc/libc6-dev_2.11.1-0exp8_amd64.deb
libc6-i386_2.11.1-0exp8_amd64.deb
  to main/e/eglibc/libc6-i386_2.11.1-0exp8_amd64.deb
libc6-pic_2.11.1-0exp8_amd64.deb
  to main/e/eglibc/libc6-pic_2.11.1-0exp8_amd64.deb
libc6-prof_2.11.1-0exp8_amd64.deb
  to main/e/eglibc/libc6-prof_2.11.1-0exp8_amd64.deb
libc6-udeb_2.11.1-0exp8_amd64.udeb
  to main/e/eglibc/libc6-udeb_2.11.1-0exp8_amd64.udeb
libc6_2.11.1-0exp8_amd64.deb
  to main/e/eglibc/libc6_2.11.1-0exp8_amd64.deb
libnss-dns-udeb_2.11.1-0exp8_amd64.udeb
  to main/e/eglibc/libnss-dns-udeb_2.11.1-0exp8_amd64.udeb
libnss-files-udeb_2.11.1-0exp8_amd64.udeb
  to main/e/eglibc/libnss-files-udeb_2.11.1-0exp8_amd64.udeb
locales-all_2.11.1-0exp8_amd64.deb
  to main/e/eglibc/locales-all_2.11.1-0exp8_amd64.deb
locales_2.11.1-0exp8_all.deb
  to main/e/eglibc/locales_2.11.1-0exp8_all.deb
nscd_2.11.1-0exp8_amd64.deb
  to main/e/eglibc/nscd_2.11.1-0exp8_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 568924@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 24 May 2010 21:25:01 +0200
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-sparcv9b libc6-i686 libc6-xen libc0.1-i686 libc6.1-alphaev67 libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.11.1-0exp8
Distribution: experimental
Urgency: low
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-amd64 - GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - GNU C Library: 32bit powerpc development libraries for ppc64
 libc6-dev-ppc64 - GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - GNU C Library: 64bit Development Libraries for IBM zSeries
 libc6-dev-sparc64 - GNU C Library: 64bit Development Libraries for UltraSPARC
 libc6-i386 - GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc6-mips64 - GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390x - GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-sparcv9b - GNU C Library: Shared libraries [v9b optimized]
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - GNU C Library: Shared libraries [Xen version]
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-alphaev67 - GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 locales-all - Embedded GNU C Library: Precompiled locale data
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Closes: 568488 568924 569592 575404 582383
Changes: 
 eglibc (2.11.1-0exp8) experimental; urgency=low
 .
   [ Clint Adams ]
   * New upstream release:
     - Fixes a house of mind attack.  Closes: bug#568488.
     - Add the fallocate64() syscall.  Closes: bug#568924.
     - Add RES_USE_DNSSEC support.  Closes: bug#569592.
     - Don't abort in getifaddrs.  Closes: bug#582383.
     - Update debian/patches/all/local-pthread-manpages.diff
     - Remove debian/patches/alpha/submitted-getsysstats.diff (merged)
     - Remove debian/patches/alpha/submitted-includes.diff (merged)
     - Remove debian/patches/alpha/submitted-lowlevellock.diff (merged)
     - Remove debian/patches/alpha/submitted-procfs_h.diff (merged)
     - Remove debian/patches/any/cvs-broken-dns.diff (merged)
     - Remove debian/patches/any/cvs-getutmpx-compat.diff (merged)
     - Remove debian/patches/any/cvs-ksm.diff (merged)
     - Remove debian/patches/any/cvs-malloc_info-output.diff (merged)
     - Remove debian/patches/any/cvs-nis-not-configured.diff (merged)
     - Remove debian/patches/any/cvs-nptl-init.diff (merged)
     - Remove debian/patches/any/cvs-resolv-edns0.diff (merged)
     - Remove debian/patches/any/cvs-resolv-init.diff (merged)
     - Remove debian/patches/any/cvs-resolv-uninitialized.diff (merged)
     - Remove debian/patches/any/cvs-resolv-v6mapped.diff (merged)
     - Remove debian/patches/any/cvs-sched_h.diff (merged)
     - Remove debian/patches/any/local-dynamic-resolvconf.diff (merged)
     - Update debian/patches/any/local-libgcc-compat-main.diff
     - Remove debian/patches/any/submitted-confname.h.diff (merged)
     - Remove debian/patches/any/submitted-getent-gshadow.diff (merged)
     - Remove debian/patches/any/submitted-getaddrinfo-nodata.diff (merged)
     - Remove debian/patches/any/submitted-gethostbyname3.diff (merged)
     - Update debian/patches/any/submitted-missing-etc-hosts.diff.
     - Remove debian/patches/arm/cvs-setjmp-longjmp-fpu.diff (merged)
     - Update debian/patches/hppa/cvs-nptl-compat.diff.
     - Update debian/patches/hppa/local-stack-grows-up.diff from
       Carlos O'Donell.
     - Remove debian/patches/hppa/submitted-pie.diff (merged)
     - Remove debian/patches/hppa/submitted-sock_nonblock.diff (merged)
     - Update debian/patches/hurd-i386/cvs-setsid.diff.
     - Remove debian/patches/hurd-i386/cvs-termios-IXANY.patch (merged)
     - Remove debian/patches/hurd-i386/submitted-getnprocs.diff (merged)
     - Update debian/patches/hurd-i386/submitted-readlinkat.diff
     - Remove debian/patches/ia64/cvs-memchr.diff (merged)
     - Remove debian/patches/ia64/submitted-memchr.diff (merged)
     - Remove debian/patches/ia64/submitted-siginfo.diff (merged)
     - Remove debian/patches/locale/cvs-C-first_weekday.diff (merged)
     - Update debian/patches/localedata/first_weekday.diff
     - Update debian/patches/localedata/tailor-iso14651_t1.diff
     - Remove debian/patches/mips/local-lazy-eval.diff (obsolete)
     - Remove debian/patches/s390/submitted-siginfo.diff (merged)
     - testsuite-checking/expected-results-ia64-linux-gnu-libc: update
     - Update testsuite-checking/expected-results-sparc-linux-gnu-libc
     - Update testsuite-checking/expected-results-sparcv9b-linux-gnu-sparcv9b
 .
   * Add debian/patches/alpha/local-fcntl_h.diff.
   * Add debian/patches/hppa/local-ELF_MACHINE_BEFORE_RTLD_RELOC.diff from
     Carlos O'Donell.
   * Add debian/patches/hppa/local-_dl_fptr_init.diff from Carlos O'Donnell.
   * Add debian/patches/localedata/locale-hsb_DE.diff
 .
   [ Aurelien Jarno ]
   * Enable multi-arch.
   * Add debian/patches/kfreebsd/local-syscalls_2.11.patch to add the
     lchflag syscalls on GNU/kFreeBSD.
   * Add debian/patches/alpha/local-longjmp-chk.diff and
     debian/patches/alpha/cvs-timer_settime.diff to fix FTBFS on alpha, and
     debian/patches/alpha/local-lowlevellock.diff to fix the testsuite.
   * Add debian/patches/mips/local-lowlevellock.diff to fix the testsuite
     on mips.
   * Re-enable the testsuite on mips/mipsel build daemons.
   * Add debian/patches/arm/local-atomic.diff and
     debian/patches/arm/local-lowlevellock.diff to fix the testsuite on arm.
   * Add debian/patches/hppa/local-longjmp-chk.diff to fix FTBFS on hppa.
   * Add debian/patches/hppa/local-lowlevellock.diff to fix the testsuite
     on hppa.
   * Add debian/patches/s390/cvs-makecontext.diff from upstream to fix
     makecontext() on s390.
   * Replace debian/patches/submitted/cvs-stat-issock.diff by the upstream patch
     debian/patches/any/cvs-stat-issock.diff.
   * Explictely call /sbin/start-stop-daemon in nscd.init.  Closes: bug#575404.
   * Add debian/patches/any/cvs-getaddrinfo.diff from upstream to not abort
     the getaddrinfo loop on the first successful.
   * Add debian/patches/any/cvs-umount-nofollow.diff from upstream to define
     UMOUNT_NOFOLLOW.
   * Add debian/patches/any/cvs-glob.diff from upstream to fix glob() with empty
     pattern.
 .
   [ Samuel Thibault ]
   * debian/patches/hurd-i386/submitted-rtld_lock_recursive.diff: New patch to
     fix elf/ build on hurd-i386.
   * debian/patches/hurd-i386/local-longjmp_chk.diff: New patch to fix
     debug/____longjmp_chk.S build on hurd-i386.
   * Update debian/patches/hurd-i386/local-pthread.diff.
   * Update debian/testsuite-checking/expected-results-i486-gnu-libc.
 .
   [ Petr Salinger]
   * define __rtld_lock_initialize also in linuxthreads <bits/libc-lock.h>
     variant (enhance local-linuxthreads-weak.diff).
   * allow failure of tst-longjmp_chk.out on GNU/kFreeBSD
   * Add kfreebsd/local-dosavesse.diff, which does not work,
     so rather use also added kfreebsd/local-nosavesse.diff
Checksums-Sha1: 
 8aacc3acee74df105fceabdffce1c2cb4a9512e0 2759 eglibc_2.11.1-0exp8.dsc
 e15b85bde0bbb4601f50bf4a274ad61eeebae698 22777163 eglibc_2.11.1.orig.tar.gz
 0b7fc5592ff41ba8359526d7e17514d3eeb4c044 791056 eglibc_2.11.1-0exp8.diff.gz
 e2046beedccd546d5623b8ae7e173bec7785ecac 1841034 glibc-doc_2.11.1-0exp8_all.deb
 4bfecb4be336da61779deeef2cf3ee0ccb2c2a90 11021958 eglibc-source_2.11.1-0exp8_all.deb
 2154ccecbe22bc4e4df568e4b507151ed7d53746 4758104 locales_2.11.1-0exp8_all.deb
 cc06916b45448daff2d975f5a8cea7074b9858a8 4260092 libc6_2.11.1-0exp8_amd64.deb
 967ddb67e9bb256713fe12b522885a39e064309f 2586068 libc6-dev_2.11.1-0exp8_amd64.deb
 a9b6f1a4e91c5e69ab09a8f13914b8b35d37ad83 2031026 libc6-prof_2.11.1-0exp8_amd64.deb
 0c40e625ca35002455860250803e8b5bbf2778b9 1543204 libc6-pic_2.11.1-0exp8_amd64.deb
 c96c0c4190b1ed363c2349a8d1c00d71aaca80e6 742006 libc-bin_2.11.1-0exp8_amd64.deb
 abaa1d5b751f7ab29552a4a93c514291d21b8fae 204044 libc-dev-bin_2.11.1-0exp8_amd64.deb
 2e7ba57f433025c38024d08db0a7c9455a43609e 3682182 locales-all_2.11.1-0exp8_amd64.deb
 dad579b7e7d7d877ea370268966c93873551eb52 3799848 libc6-i386_2.11.1-0exp8_amd64.deb
 3b53843c829d6c24ab3fdbbd7ff548e9ef80585e 1517948 libc6-dev-i386_2.11.1-0exp8_amd64.deb
 4e056a4fed86f97b875ae9ecd34fca269a44ace8 192992 nscd_2.11.1-0exp8_amd64.deb
 5fcadfc495ad871174fd77c5482d487d6a14c69a 10372352 libc6-dbg_2.11.1-0exp8_amd64.deb
 b121494d28ae1b9cdf9199218bad6b23370ea27b 1150970 libc6-udeb_2.11.1-0exp8_amd64.udeb
 10a2b53844f52742881060db805b1bb132668936 11124 libnss-dns-udeb_2.11.1-0exp8_amd64.udeb
 a3b02d43f552fa7fc74cbdd23a49ca1ccdfe9459 19678 libnss-files-udeb_2.11.1-0exp8_amd64.udeb
Checksums-Sha256: 
 4f0181cd014faef1767fd5ebdbfd36990fbfe71f6359cfcf24033e37411479cf 2759 eglibc_2.11.1-0exp8.dsc
 f44324a45d3ee74fc280f6a712cfd6fdc00e421eadd81f80ba9b99651a2836ef 22777163 eglibc_2.11.1.orig.tar.gz
 635f4d0c40d6ebc179c0b6ad568a3f4c6fba2c6f5add482e110ba181f445285f 791056 eglibc_2.11.1-0exp8.diff.gz
 7ecebe87ef63869d07335bd7c0360208ec17c92bc66126f341b481eb748d25e7 1841034 glibc-doc_2.11.1-0exp8_all.deb
 1cf305e87a501d89cad26e5c67ce8efc697f2ae635175983031542a72599fd9f 11021958 eglibc-source_2.11.1-0exp8_all.deb
 ead71e0305e2220c9d2ac5d5a66af15e0c3dd7765bcc30ad765ed9ca464404bb 4758104 locales_2.11.1-0exp8_all.deb
 f6fa5c854b29ff0cc3ac716c09548f2956bad2136aa710c73b839f4e15c86c9b 4260092 libc6_2.11.1-0exp8_amd64.deb
 059e8156a4c0cfcdbd0a3000c7dabb61e4cdfc8c7afdd821820f5310eaed1181 2586068 libc6-dev_2.11.1-0exp8_amd64.deb
 159be2b0e8f273cfcc95cf3da18f6a7d2d19acdc1ac8b3adb8ff44ef43bbaf27 2031026 libc6-prof_2.11.1-0exp8_amd64.deb
 99292cfc7575901063a68719fd66203743118ba37c1642d68b54ce7228d71301 1543204 libc6-pic_2.11.1-0exp8_amd64.deb
 6ca02c2816821d3097b6cd9d626d0a886512d83a7408be044d4c36e51325fd49 742006 libc-bin_2.11.1-0exp8_amd64.deb
 82171e33c10090172ad7ded75974c12d3c686ac74d474f713d414db2ee2229be 204044 libc-dev-bin_2.11.1-0exp8_amd64.deb
 bd1f91fe765c437657114e36422907443a51d80f9c0c6f17c334fd663dd83c93 3682182 locales-all_2.11.1-0exp8_amd64.deb
 46a5f2d7a6cbff5e046363282d337c1448034f9587aaed1c15972fdc3568aabc 3799848 libc6-i386_2.11.1-0exp8_amd64.deb
 2aa6b5a26cd7f6830ff1a3702fb8f91167188cd119cf4b8d7a824d7d82825e8e 1517948 libc6-dev-i386_2.11.1-0exp8_amd64.deb
 00d3607b02f87333574eacdd3a1c02052deaa9f4b8aa99db39db8a50d2f3edf1 192992 nscd_2.11.1-0exp8_amd64.deb
 b7cc828764e6f1861195ea9313863c7ea7f8ecf7c5a34134bab5b2753c27b4a4 10372352 libc6-dbg_2.11.1-0exp8_amd64.deb
 0301bf0ae6d8f1e4a0154c800f7753b9ab12a7a057bdbbbfb1e68d21c8ecb071 1150970 libc6-udeb_2.11.1-0exp8_amd64.udeb
 cc065b4aeffaac1f933259c89b40ce7388cacc808c4a18e2ad9a6a3c77218b75 11124 libnss-dns-udeb_2.11.1-0exp8_amd64.udeb
 930e3db7ebfca8996b7e1ee2fceb770727400bff78ed9d930efdafcbc5551301 19678 libnss-files-udeb_2.11.1-0exp8_amd64.udeb
Files: 
 8f5869c8c4f72149b7ba43341f8242f9 2759 libs required eglibc_2.11.1-0exp8.dsc
 641ca486aa98142b43d3664d6fae3d7c 22777163 libs required eglibc_2.11.1.orig.tar.gz
 9b79d489db457222a80b50f184e2eefd 791056 libs required eglibc_2.11.1-0exp8.diff.gz
 4c51793138ed1f2d634fd7724814054b 1841034 doc optional glibc-doc_2.11.1-0exp8_all.deb
 41635a9d05d5b01d4281fabb7de3a06f 11021958 devel optional eglibc-source_2.11.1-0exp8_all.deb
 15653d1c95f21ec9d2101c1e6b9e1266 4758104 localization standard locales_2.11.1-0exp8_all.deb
 947bb220844cbb8a40f690acf0328a6f 4260092 libs required libc6_2.11.1-0exp8_amd64.deb
 43fe0d3c2d5dbdac89af016d57f3b35f 2586068 libdevel optional libc6-dev_2.11.1-0exp8_amd64.deb
 1b8b34f92e9653d573502b5fd19cd6b3 2031026 libdevel extra libc6-prof_2.11.1-0exp8_amd64.deb
 1be1402dc3cdfde40288c570d2a36fb5 1543204 libdevel optional libc6-pic_2.11.1-0exp8_amd64.deb
 58396d97e789507810ded056ce73a5d6 742006 libs required libc-bin_2.11.1-0exp8_amd64.deb
 a350f381a4f57b70fc9c071916b9bb0a 204044 libdevel optional libc-dev-bin_2.11.1-0exp8_amd64.deb
 123611714d384f8f3d1221f6d85433ac 3682182 localization extra locales-all_2.11.1-0exp8_amd64.deb
 eea1e86ef2726b56ce3e3c8097c2317c 3799848 libs optional libc6-i386_2.11.1-0exp8_amd64.deb
 f10d5d56362f5309ef150a6fd46ea836 1517948 libdevel optional libc6-dev-i386_2.11.1-0exp8_amd64.deb
 1b8b31e31202acd6f6ee6015e79404b6 192992 admin optional nscd_2.11.1-0exp8_amd64.deb
 56e52cfbc7d6d80dee598302dc6074b5 10372352 debug extra libc6-dbg_2.11.1-0exp8_amd64.deb
 43419d099d2f8ea308104382b0367ac6 1150970 debian-installer extra libc6-udeb_2.11.1-0exp8_amd64.udeb
 59445ea40437f0924b3282868de9d844 11124 debian-installer extra libnss-dns-udeb_2.11.1-0exp8_amd64.udeb
 5e58b1643c627af4c9b5c482b0fc6162 19678 debian-installer extra libnss-files-udeb_2.11.1-0exp8_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFL+uP2w3ao2vG823MRAoulAJoCv7d/m6ut3MByOW59s70dWNbRYgCghjr+
mNZItCWPC9vquzl+DDG5R1I=
=0BrY
-----END PGP SIGNATURE-----





Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Wed, 26 May 2010 22:27:04 GMT) Full text and rfc822 format available.

Notification sent to Sebastian Andrzej Siewior <sebastian@breakpoint.cc>:
Bug acknowledged by developer. (Wed, 26 May 2010 22:27:04 GMT) Full text and rfc822 format available.

Message #37 received at 568924-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 568924-close@bugs.debian.org
Subject: Bug#568924: fixed in eglibc 2.11.1-0exp9
Date: Wed, 26 May 2010 22:24:58 +0000
Source: eglibc
Source-Version: 2.11.1-0exp9

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.11.1-0exp9_all.deb
  to main/e/eglibc/eglibc-source_2.11.1-0exp9_all.deb
eglibc_2.11.1-0exp9.diff.gz
  to main/e/eglibc/eglibc_2.11.1-0exp9.diff.gz
eglibc_2.11.1-0exp9.dsc
  to main/e/eglibc/eglibc_2.11.1-0exp9.dsc
glibc-doc_2.11.1-0exp9_all.deb
  to main/e/eglibc/glibc-doc_2.11.1-0exp9_all.deb
libc-bin_2.11.1-0exp9_amd64.deb
  to main/e/eglibc/libc-bin_2.11.1-0exp9_amd64.deb
libc-dev-bin_2.11.1-0exp9_amd64.deb
  to main/e/eglibc/libc-dev-bin_2.11.1-0exp9_amd64.deb
libc6-dbg_2.11.1-0exp9_amd64.deb
  to main/e/eglibc/libc6-dbg_2.11.1-0exp9_amd64.deb
libc6-dev-i386_2.11.1-0exp9_amd64.deb
  to main/e/eglibc/libc6-dev-i386_2.11.1-0exp9_amd64.deb
libc6-dev_2.11.1-0exp9_amd64.deb
  to main/e/eglibc/libc6-dev_2.11.1-0exp9_amd64.deb
libc6-i386_2.11.1-0exp9_amd64.deb
  to main/e/eglibc/libc6-i386_2.11.1-0exp9_amd64.deb
libc6-pic_2.11.1-0exp9_amd64.deb
  to main/e/eglibc/libc6-pic_2.11.1-0exp9_amd64.deb
libc6-prof_2.11.1-0exp9_amd64.deb
  to main/e/eglibc/libc6-prof_2.11.1-0exp9_amd64.deb
libc6-udeb_2.11.1-0exp9_amd64.udeb
  to main/e/eglibc/libc6-udeb_2.11.1-0exp9_amd64.udeb
libc6_2.11.1-0exp9_amd64.deb
  to main/e/eglibc/libc6_2.11.1-0exp9_amd64.deb
libnss-dns-udeb_2.11.1-0exp9_amd64.udeb
  to main/e/eglibc/libnss-dns-udeb_2.11.1-0exp9_amd64.udeb
libnss-files-udeb_2.11.1-0exp9_amd64.udeb
  to main/e/eglibc/libnss-files-udeb_2.11.1-0exp9_amd64.udeb
locales-all_2.11.1-0exp9_amd64.deb
  to main/e/eglibc/locales-all_2.11.1-0exp9_amd64.deb
locales_2.11.1-0exp9_all.deb
  to main/e/eglibc/locales_2.11.1-0exp9_all.deb
nscd_2.11.1-0exp9_amd64.deb
  to main/e/eglibc/nscd_2.11.1-0exp9_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 568924@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 26 May 2010 20:30:30 +0200
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-sparcv9b libc6-i686 libc6-xen libc0.1-i686 libc6.1-alphaev67 libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.11.1-0exp9
Distribution: experimental
Urgency: low
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-amd64 - GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - GNU C Library: 32bit powerpc development libraries for ppc64
 libc6-dev-ppc64 - GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - GNU C Library: 64bit Development Libraries for IBM zSeries
 libc6-dev-sparc64 - GNU C Library: 64bit Development Libraries for UltraSPARC
 libc6-i386 - GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc6-mips64 - GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390x - GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-sparcv9b - GNU C Library: Shared libraries [v9b optimized]
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - GNU C Library: Shared libraries [Xen version]
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-alphaev67 - GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 locales-all - Embedded GNU C Library: Precompiled locale data
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Closes: 568488 568924 569592 575404 582383
Changes: 
 eglibc (2.11.1-0exp9) experimental; urgency=low
 .
   [ Clint Adams ]
   * New upstream release:
     - Fixes a house of mind attack.  Closes: bug#568488.
     - Add the fallocate64() syscall.  Closes: bug#568924.
     - Add RES_USE_DNSSEC support.  Closes: bug#569592.
     - Don't abort in getifaddrs.  Closes: bug#582383.
     - Update debian/patches/all/local-pthread-manpages.diff
     - Remove debian/patches/alpha/submitted-getsysstats.diff (merged)
     - Remove debian/patches/alpha/submitted-includes.diff (merged)
     - Remove debian/patches/alpha/submitted-lowlevellock.diff (merged)
     - Remove debian/patches/alpha/submitted-procfs_h.diff (merged)
     - Remove debian/patches/any/cvs-broken-dns.diff (merged)
     - Remove debian/patches/any/cvs-getutmpx-compat.diff (merged)
     - Remove debian/patches/any/cvs-ksm.diff (merged)
     - Remove debian/patches/any/cvs-malloc_info-output.diff (merged)
     - Remove debian/patches/any/cvs-nis-not-configured.diff (merged)
     - Remove debian/patches/any/cvs-nptl-init.diff (merged)
     - Remove debian/patches/any/cvs-resolv-edns0.diff (merged)
     - Remove debian/patches/any/cvs-resolv-init.diff (merged)
     - Remove debian/patches/any/cvs-resolv-uninitialized.diff (merged)
     - Remove debian/patches/any/cvs-resolv-v6mapped.diff (merged)
     - Remove debian/patches/any/cvs-sched_h.diff (merged)
     - Remove debian/patches/any/local-dynamic-resolvconf.diff (merged)
     - Update debian/patches/any/local-libgcc-compat-main.diff
     - Remove debian/patches/any/submitted-confname.h.diff (merged)
     - Remove debian/patches/any/submitted-getent-gshadow.diff (merged)
     - Remove debian/patches/any/submitted-getaddrinfo-nodata.diff (merged)
     - Remove debian/patches/any/submitted-gethostbyname3.diff (merged)
     - Update debian/patches/any/submitted-missing-etc-hosts.diff.
     - Remove debian/patches/arm/cvs-setjmp-longjmp-fpu.diff (merged)
     - Update debian/patches/hppa/cvs-nptl-compat.diff.
     - Update debian/patches/hppa/local-stack-grows-up.diff from
       Carlos O'Donell.
     - Remove debian/patches/hppa/submitted-pie.diff (merged)
     - Remove debian/patches/hppa/submitted-sock_nonblock.diff (merged)
     - Update debian/patches/hurd-i386/cvs-setsid.diff.
     - Remove debian/patches/hurd-i386/cvs-termios-IXANY.patch (merged)
     - Remove debian/patches/hurd-i386/submitted-getnprocs.diff (merged)
     - Update debian/patches/hurd-i386/submitted-readlinkat.diff
     - Remove debian/patches/ia64/cvs-memchr.diff (merged)
     - Remove debian/patches/ia64/submitted-memchr.diff (merged)
     - Remove debian/patches/ia64/submitted-siginfo.diff (merged)
     - Update debian/patches/kfreebsd/local-readdir_r.diff.
     - Remove debian/patches/locale/cvs-C-first_weekday.diff (merged)
     - Update debian/patches/localedata/first_weekday.diff
     - Update debian/patches/localedata/tailor-iso14651_t1.diff
     - Remove debian/patches/mips/local-lazy-eval.diff (obsolete)
     - Remove debian/patches/s390/submitted-siginfo.diff (merged)
     - testsuite-checking/expected-results-ia64-linux-gnu-libc: update
     - Update testsuite-checking/expected-results-sparc-linux-gnu-libc
     - Update testsuite-checking/expected-results-sparcv9b-linux-gnu-sparcv9b
 .
   * Add debian/patches/alpha/local-fcntl_h.diff.
   * Add debian/patches/hppa/local-dlfptr.diff from Carlos O'Donnell.
   * Add debian/patches/localedata/locale-hsb_DE.diff
 .
   [ Aurelien Jarno ]
   * Enable multi-arch.
   * Add debian/patches/kfreebsd/local-syscalls_2.11.patch to add the
     lchflag syscalls on GNU/kFreeBSD.
   * Add debian/patches/alpha/local-longjmp-chk.diff and
     debian/patches/alpha/cvs-timer_settime.diff to fix FTBFS on alpha, and
     debian/patches/alpha/local-lowlevellock.diff to fix the testsuite.
   * Add debian/patches/mips/local-lowlevellock.diff to fix the testsuite
     on mips.
   * Re-enable the testsuite on mips/mipsel build daemons.
   * Add debian/patches/arm/local-atomic.diff and
     debian/patches/arm/local-lowlevellock.diff to fix the testsuite on arm.
   * Add debian/patches/hppa/local-longjmp-chk.diff to fix FTBFS on hppa.
   * Add debian/patches/hppa/local-lowlevellock.diff to fix the testsuite
     on hppa.
   * Add debian/patches/s390/cvs-makecontext.diff from upstream to fix
     makecontext() on s390.
   * Replace debian/patches/submitted/cvs-stat-issock.diff by the upstream patch
     debian/patches/any/cvs-stat-issock.diff.
   * Explictely call /sbin/start-stop-daemon in nscd.init.  Closes: bug#575404.
   * Add debian/patches/any/cvs-getaddrinfo.diff from upstream to not abort
     the getaddrinfo loop on the first successful.
   * Add debian/patches/any/cvs-umount-nofollow.diff from upstream to define
     UMOUNT_NOFOLLOW.
   * Add debian/patches/any/cvs-glob.diff from upstream to fix glob() with empty
     pattern.
   * Add debian/patches/submitted-tst-audit6-avx.diff to skip AVX tests if if
     AVX is not available.
   * Allow failures of the testsuite on HPPA until bugs are fixed:
     - tstdiomisc.out (due to bug #582787 on gcc-4.4)
     - tst-fork1.out (due to bug #561203 on linux-2.6)
   * Add debian/patches/sh4/cvs-register_dump.diff from upstream to fix
     iov[] size register-dump.h.
   * Add debian/patches/hurd-i386/submitted-regex_internal.diff to fix FTBFS on
     hurd-i386.
 .
   [ Samuel Thibault ]
   * debian/patches/hurd-i386/submitted-rtld_lock_recursive.diff: New patch to
     fix elf/ build on hurd-i386.
   * debian/patches/hurd-i386/local-longjmp_chk.diff: New patch to fix
     debug/____longjmp_chk.S build on hurd-i386.
   * Update debian/patches/hurd-i386/local-pthread.diff.
   * Update debian/testsuite-checking/expected-results-i486-gnu-libc.
 .
   [ Petr Salinger]
   * define __rtld_lock_initialize also in linuxthreads <bits/libc-lock.h>
     variant (enhance local-linuxthreads-weak.diff).
   * allow failure of tst-longjmp_chk.out on GNU/kFreeBSD
   * Add kfreebsd/local-dosavesse.diff, which does not work,
     so rather use also added kfreebsd/local-nosavesse.diff
Checksums-Sha1: 
 7a65a7c1e4eedd2fa15807c52e7808200209e627 2759 eglibc_2.11.1-0exp9.dsc
 e15b85bde0bbb4601f50bf4a274ad61eeebae698 22777163 eglibc_2.11.1.orig.tar.gz
 b70c3f3c55d6ee9dbb7b48cae6b130a0ef173a99 791985 eglibc_2.11.1-0exp9.diff.gz
 ced5c98b8d0b078021c5e0a28674b7c41848e984 1841152 glibc-doc_2.11.1-0exp9_all.deb
 ce7994863e873e46dc807baf65fd6227d9473321 11037224 eglibc-source_2.11.1-0exp9_all.deb
 fa7f9ce5b24cdae3d5aee09944ca89bc4a9766ec 4758264 locales_2.11.1-0exp9_all.deb
 615a15657f57cd8d6960eac7588dd316fbff692c 4260212 libc6_2.11.1-0exp9_amd64.deb
 dc90112a9ad04038d2290a6884747693164a4805 2586178 libc6-dev_2.11.1-0exp9_amd64.deb
 300d051aab687ce19e43e531407d0c51af2b9973 2031132 libc6-prof_2.11.1-0exp9_amd64.deb
 d1f1fcd7b85da0ffc8802620ea4febf5a396a739 1543420 libc6-pic_2.11.1-0exp9_amd64.deb
 b9dce863533636b7d820f40028155ca1840e1f06 742158 libc-bin_2.11.1-0exp9_amd64.deb
 a7720036409ff400fee5daa195283475d1dec0fd 204166 libc-dev-bin_2.11.1-0exp9_amd64.deb
 20d320fc776350116a842b581c9d45ecb136d3ea 3697156 locales-all_2.11.1-0exp9_amd64.deb
 43065ae720fac98e7bc969a7c75a80916ef2edac 3799774 libc6-i386_2.11.1-0exp9_amd64.deb
 8fcc73829e6d8e09225fedd0b5e0df4cc9056b20 1518062 libc6-dev-i386_2.11.1-0exp9_amd64.deb
 eab8df6f9bbd7dd6129ff47b3bcb6a8fa372db70 193134 nscd_2.11.1-0exp9_amd64.deb
 9e1501781995008b7c5d6ac27fc9268ca96e19d5 10372170 libc6-dbg_2.11.1-0exp9_amd64.deb
 eeb3f42895846312e86a68a8c16013720e672a2a 1150984 libc6-udeb_2.11.1-0exp9_amd64.udeb
 26b50bfcae9fecc8149de9a29ec6fe73ce26611c 11126 libnss-dns-udeb_2.11.1-0exp9_amd64.udeb
 96fbc575bc6c4588172f717e8240fe402716d06a 19678 libnss-files-udeb_2.11.1-0exp9_amd64.udeb
Checksums-Sha256: 
 bc62bd37366cd3768555ebb7a79b720dd7511a1e9275968f176cd1ca298cefb9 2759 eglibc_2.11.1-0exp9.dsc
 f44324a45d3ee74fc280f6a712cfd6fdc00e421eadd81f80ba9b99651a2836ef 22777163 eglibc_2.11.1.orig.tar.gz
 1df11c35447936d5fa9efea65d6a457eda44a985e67271891885db60de090c4b 791985 eglibc_2.11.1-0exp9.diff.gz
 adc81a7079f4c3a2aa66ebd6ed533620a9092e6b44d98a200f125313d2003880 1841152 glibc-doc_2.11.1-0exp9_all.deb
 6c4d8382f0fc445dd31946575e951a2e0d6153025156990b17eadff6afb7f704 11037224 eglibc-source_2.11.1-0exp9_all.deb
 a6cede14ac785041d4ecd134697f0c7bd0d9aecaac438730202db8a02830c8be 4758264 locales_2.11.1-0exp9_all.deb
 e8c38fbc0e67e056562040fc6b3423ced16c827ba24ab4a2cea666dc3211a342 4260212 libc6_2.11.1-0exp9_amd64.deb
 2f08a65cfca2c3c479246458d6b0888a7eeaf1a15d9a0eee940a4d7a0b9a8697 2586178 libc6-dev_2.11.1-0exp9_amd64.deb
 8b61f8acea72f09e90b666522bbf38c4e791af3cf63b0cb34abcb6c58a4377f9 2031132 libc6-prof_2.11.1-0exp9_amd64.deb
 c093a660e159ed7113056278b1f5cfb7aa9460610a02b184078065712ada1f24 1543420 libc6-pic_2.11.1-0exp9_amd64.deb
 ce50f3c3c3953c615e60a7577df073c5f9f21b6c987435e839175a96da5849a3 742158 libc-bin_2.11.1-0exp9_amd64.deb
 838b7733dac527b724ef3dfae3dedd18f4c06170133bf375a22f64a0d0491a1a 204166 libc-dev-bin_2.11.1-0exp9_amd64.deb
 1724faca8afe1c7bae06dcad7d836efb7c3a3987d4314888b143f404b508fba5 3697156 locales-all_2.11.1-0exp9_amd64.deb
 78272bfaa2798a89f13b408e8e4cecc8b5dd9031549b2d348fea323f3731c486 3799774 libc6-i386_2.11.1-0exp9_amd64.deb
 364f0a5f60a0217bea13eb2b92b0ead7494ffce3bb4bf6591af8c850695ed04a 1518062 libc6-dev-i386_2.11.1-0exp9_amd64.deb
 1970a336b78de6d2b1385524a665bc60dac7ce6cc275b510499c87f958520b99 193134 nscd_2.11.1-0exp9_amd64.deb
 01030f76449b402c57de0569c0d21514a3d268e7b16c41d65b3c9b4f4f49488a 10372170 libc6-dbg_2.11.1-0exp9_amd64.deb
 bd943dace20b3972bd4d75d6edf5fd3264f781b0550e0b214ceb981919b56c6c 1150984 libc6-udeb_2.11.1-0exp9_amd64.udeb
 85338eadca106a457d0ae9841bf784853606c4a3e45673af02e6a26b3d24176c 11126 libnss-dns-udeb_2.11.1-0exp9_amd64.udeb
 d40ee90168449d903ad037f947ec9932107e77abf4dbc980e864d71b138560f4 19678 libnss-files-udeb_2.11.1-0exp9_amd64.udeb
Files: 
 57d5cd0e858de27b461bb56d22aa977f 2759 libs required eglibc_2.11.1-0exp9.dsc
 641ca486aa98142b43d3664d6fae3d7c 22777163 libs required eglibc_2.11.1.orig.tar.gz
 00e76617db6e3d766c6511617ef54bde 791985 libs required eglibc_2.11.1-0exp9.diff.gz
 d181f234ed88cd1b79baa353b0b284b8 1841152 doc optional glibc-doc_2.11.1-0exp9_all.deb
 d3bf449a6f1649a89605d37c5a689692 11037224 devel optional eglibc-source_2.11.1-0exp9_all.deb
 0ad350ef0e804d1bff1c0c45c9ed28f1 4758264 localization standard locales_2.11.1-0exp9_all.deb
 041f8815a75c8bd1daed64fa412193f5 4260212 libs required libc6_2.11.1-0exp9_amd64.deb
 d248fb358f779a48745a90d10e143246 2586178 libdevel optional libc6-dev_2.11.1-0exp9_amd64.deb
 cdc044e95899c5d3796056837b63d019 2031132 libdevel extra libc6-prof_2.11.1-0exp9_amd64.deb
 e50cd70ba1dcf87bd9391fb9fb3a78cf 1543420 libdevel optional libc6-pic_2.11.1-0exp9_amd64.deb
 3974915f1e4729970b7d1f24435c8a74 742158 libs required libc-bin_2.11.1-0exp9_amd64.deb
 bd99545423abeeac7159351f85eea698 204166 libdevel optional libc-dev-bin_2.11.1-0exp9_amd64.deb
 ce3f8b152f621ea2a94f613f8272a3c9 3697156 localization extra locales-all_2.11.1-0exp9_amd64.deb
 b5bd2ec454fda04d4f91c116bb9b0046 3799774 libs optional libc6-i386_2.11.1-0exp9_amd64.deb
 59f74f5cc8d71142e265803a4e0c1de4 1518062 libdevel optional libc6-dev-i386_2.11.1-0exp9_amd64.deb
 41d0d7bbaedaffeefb1045fdab3fb6ce 193134 admin optional nscd_2.11.1-0exp9_amd64.deb
 2fc7082ada20fd39fd0a49e66fd1d671 10372170 debug extra libc6-dbg_2.11.1-0exp9_amd64.deb
 0af776aa920d918962574237f9e5a285 1150984 debian-installer extra libc6-udeb_2.11.1-0exp9_amd64.udeb
 603d81ce911779d2878aec569e95a35b 11126 debian-installer extra libnss-dns-udeb_2.11.1-0exp9_amd64.udeb
 686927cace9d221b6ac473a01951e465 19678 debian-installer extra libnss-files-udeb_2.11.1-0exp9_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFL/XzZw3ao2vG823MRApAKAJ9Et7nwQJ0Py5CD20HrT5pRKLqC4ACeLs4G
c6t58Zbzdr5t+5SYaRPaa9A=
=kl7T
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from Aurelien Jarno <aurel32@alioth.debian.org> to control@bugs.debian.org. (Fri, 28 May 2010 22:54:03 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sat, 29 May 2010 21:39:04 GMT) Full text and rfc822 format available.

Notification sent to Sebastian Andrzej Siewior <sebastian@breakpoint.cc>:
Bug acknowledged by developer. (Sat, 29 May 2010 21:39:04 GMT) Full text and rfc822 format available.

Message #44 received at 568924-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 568924-close@bugs.debian.org
Subject: Bug#568924: fixed in eglibc 2.11.1-1
Date: Sat, 29 May 2010 21:34:47 +0000
Source: eglibc
Source-Version: 2.11.1-1

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.11.1-1_all.deb
  to main/e/eglibc/eglibc-source_2.11.1-1_all.deb
eglibc_2.11.1-1.diff.gz
  to main/e/eglibc/eglibc_2.11.1-1.diff.gz
eglibc_2.11.1-1.dsc
  to main/e/eglibc/eglibc_2.11.1-1.dsc
glibc-doc_2.11.1-1_all.deb
  to main/e/eglibc/glibc-doc_2.11.1-1_all.deb
libc-bin_2.11.1-1_amd64.deb
  to main/e/eglibc/libc-bin_2.11.1-1_amd64.deb
libc-dev-bin_2.11.1-1_amd64.deb
  to main/e/eglibc/libc-dev-bin_2.11.1-1_amd64.deb
libc6-dbg_2.11.1-1_amd64.deb
  to main/e/eglibc/libc6-dbg_2.11.1-1_amd64.deb
libc6-dev-i386_2.11.1-1_amd64.deb
  to main/e/eglibc/libc6-dev-i386_2.11.1-1_amd64.deb
libc6-dev_2.11.1-1_amd64.deb
  to main/e/eglibc/libc6-dev_2.11.1-1_amd64.deb
libc6-i386_2.11.1-1_amd64.deb
  to main/e/eglibc/libc6-i386_2.11.1-1_amd64.deb
libc6-pic_2.11.1-1_amd64.deb
  to main/e/eglibc/libc6-pic_2.11.1-1_amd64.deb
libc6-prof_2.11.1-1_amd64.deb
  to main/e/eglibc/libc6-prof_2.11.1-1_amd64.deb
libc6-udeb_2.11.1-1_amd64.udeb
  to main/e/eglibc/libc6-udeb_2.11.1-1_amd64.udeb
libc6_2.11.1-1_amd64.deb
  to main/e/eglibc/libc6_2.11.1-1_amd64.deb
libnss-dns-udeb_2.11.1-1_amd64.udeb
  to main/e/eglibc/libnss-dns-udeb_2.11.1-1_amd64.udeb
libnss-files-udeb_2.11.1-1_amd64.udeb
  to main/e/eglibc/libnss-files-udeb_2.11.1-1_amd64.udeb
locales-all_2.11.1-1_amd64.deb
  to main/e/eglibc/locales-all_2.11.1-1_amd64.deb
locales_2.11.1-1_all.deb
  to main/e/eglibc/locales_2.11.1-1_all.deb
nscd_2.11.1-1_amd64.deb
  to main/e/eglibc/nscd_2.11.1-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 568924@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 29 May 2010 14:31:50 +0200
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-sparcv9b libc6-i686 libc6-xen libc0.1-i686 libc6.1-alphaev67 libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.11.1-1
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-amd64 - GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - GNU C Library: 32bit powerpc development libraries for ppc64
 libc6-dev-ppc64 - GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - GNU C Library: 64bit Development Libraries for IBM zSeries
 libc6-dev-sparc64 - GNU C Library: 64bit Development Libraries for UltraSPARC
 libc6-i386 - GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc6-mips64 - GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390x - GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-sparcv9b - GNU C Library: Shared libraries [v9b optimized]
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - GNU C Library: Shared libraries [Xen version]
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-alphaev67 - GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 locales-all - Embedded GNU C Library: Precompiled locale data
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Closes: 568488 568924 569592 575404 582383
Changes: 
 eglibc (2.11.1-1) unstable; urgency=low
 .
   [ Clint Adams ]
   * New upstream release:
     - Fixes a house of mind attack.  Closes: bug#568488.
     - Add the fallocate64() syscall.  Closes: bug#568924.
     - Add RES_USE_DNSSEC support.  Closes: bug#569592.
     - Don't abort in getifaddrs.  Closes: bug#582383.
     - Update debian/patches/all/local-pthread-manpages.diff
     - Remove debian/patches/alpha/submitted-getsysstats.diff (merged)
     - Remove debian/patches/alpha/submitted-includes.diff (merged)
     - Remove debian/patches/alpha/submitted-lowlevellock.diff (merged)
     - Remove debian/patches/alpha/submitted-procfs_h.diff (merged)
     - Remove debian/patches/any/cvs-broken-dns.diff (merged)
     - Remove debian/patches/any/cvs-getutmpx-compat.diff (merged)
     - Remove debian/patches/any/cvs-ksm.diff (merged)
     - Remove debian/patches/any/cvs-malloc_info-output.diff (merged)
     - Remove debian/patches/any/cvs-nis-not-configured.diff (merged)
     - Remove debian/patches/any/cvs-nptl-init.diff (merged)
     - Remove debian/patches/any/cvs-resolv-edns0.diff (merged)
     - Remove debian/patches/any/cvs-resolv-init.diff (merged)
     - Remove debian/patches/any/cvs-resolv-uninitialized.diff (merged)
     - Remove debian/patches/any/cvs-resolv-v6mapped.diff (merged)
     - Remove debian/patches/any/cvs-sched_h.diff (merged)
     - Remove debian/patches/any/local-dynamic-resolvconf.diff (merged)
     - Update debian/patches/any/local-libgcc-compat-main.diff
     - Remove debian/patches/any/submitted-confname.h.diff (merged)
     - Remove debian/patches/any/submitted-getent-gshadow.diff (merged)
     - Remove debian/patches/any/submitted-getaddrinfo-nodata.diff (merged)
     - Remove debian/patches/any/submitted-gethostbyname3.diff (merged)
     - Update debian/patches/any/submitted-missing-etc-hosts.diff.
     - Remove debian/patches/arm/cvs-setjmp-longjmp-fpu.diff (merged)
     - Update debian/patches/hppa/cvs-nptl-compat.diff.
     - Update debian/patches/hppa/local-stack-grows-up.diff from
       Carlos O'Donell.
     - Remove debian/patches/hppa/submitted-pie.diff (merged)
     - Remove debian/patches/hppa/submitted-sock_nonblock.diff (merged)
     - Update debian/patches/hurd-i386/cvs-setsid.diff.
     - Remove debian/patches/hurd-i386/cvs-termios-IXANY.patch (merged)
     - Remove debian/patches/hurd-i386/submitted-getnprocs.diff (merged)
     - Update debian/patches/hurd-i386/submitted-readlinkat.diff
     - Remove debian/patches/ia64/cvs-memchr.diff (merged)
     - Remove debian/patches/ia64/submitted-memchr.diff (merged)
     - Remove debian/patches/ia64/submitted-siginfo.diff (merged)
     - Update debian/patches/kfreebsd/local-readdir_r.diff.
     - Remove debian/patches/locale/cvs-C-first_weekday.diff (merged)
     - Update debian/patches/localedata/first_weekday.diff
     - Update debian/patches/localedata/tailor-iso14651_t1.diff
     - Remove debian/patches/mips/local-lazy-eval.diff (obsolete)
     - Remove debian/patches/s390/submitted-siginfo.diff (merged)
     - testsuite-checking/expected-results-ia64-linux-gnu-libc: update
     - Update testsuite-checking/expected-results-sparc-linux-gnu-libc
     - Update testsuite-checking/expected-results-sparcv9b-linux-gnu-sparcv9b
 .
   * Add debian/patches/alpha/local-fcntl_h.diff.
   * Add debian/patches/ia64/local-dlfptr.diff and
     debian/patches/hppa/local-dlfptr.diff from Carlos O'Donnell.
   * Add debian/patches/localedata/locale-hsb_DE.diff
 .
   [ Aurelien Jarno ]
   * Enable multi-arch.
   * kfreebsd/local-sysdeps.diff: update to revision 3039 (from glibc-bsd).
   * Add debian/patches/alpha/local-longjmp-chk.diff and
     debian/patches/alpha/cvs-timer_settime.diff to fix FTBFS on alpha, and
     debian/patches/alpha/local-lowlevellock.diff to fix the testsuite.
   * Add debian/patches/mips/local-lowlevellock.diff to fix the testsuite
     on mips.
   * Re-enable the testsuite on mips/mipsel build daemons.
   * Add debian/patches/arm/local-atomic.diff and
     debian/patches/arm/local-lowlevellock.diff to fix the testsuite on arm.
   * Add debian/patches/hppa/local-longjmp-chk.diff to fix FTBFS on hppa.
   * Add debian/patches/hppa/local-lowlevellock.diff to fix the testsuite
     on hppa.
   * Add debian/patches/s390/cvs-makecontext.diff from upstream to fix
     makecontext() on s390.
   * Replace debian/patches/submitted/cvs-stat-issock.diff by the upstream patch
     debian/patches/any/cvs-stat-issock.diff.
   * Explictely call /sbin/start-stop-daemon in nscd.init.  Closes: bug#575404.
   * Add debian/patches/any/cvs-getaddrinfo.diff from upstream to not abort
     the getaddrinfo loop on the first successful.
   * Add debian/patches/any/cvs-umount-nofollow.diff from upstream to define
     UMOUNT_NOFOLLOW.
   * Add debian/patches/any/cvs-glob.diff from upstream to fix glob() with empty
     pattern.
   * Add debian/patches/submitted-tst-audit6-avx.diff to skip AVX tests if if
     AVX is not available.
   * Allow failures of the testsuite on HPPA until bugs are fixed:
     - tstdiomisc.out (due to bug #582787 on gcc-4.4)
     - tst-fork1.out (due to bug #561203 on linux-2.6)
   * Add debian/patches/sh4/cvs-register_dump.diff from upstream to fix
     iov[] size register-dump.h.
   * Add debian/patches/hurd-i386/submitted-regex_internal.diff to fix FTBFS on
     hurd-i386.
 .
   [ Samuel Thibault ]
   * debian/patches/hurd-i386/submitted-rtld_lock_recursive.diff: New patch to
     fix elf/ build on hurd-i386.
   * debian/patches/hurd-i386/local-longjmp_chk.diff: New patch to fix
     debug/____longjmp_chk.S build on hurd-i386.
   * Update debian/patches/hurd-i386/local-pthread.diff.
   * Update debian/testsuite-checking/expected-results-i486-gnu-libc.
 .
   [ Petr Salinger]
   * define __rtld_lock_initialize also in linuxthreads <bits/libc-lock.h>
     variant (enhance local-linuxthreads-weak.diff).
   * allow failure of tst-longjmp_chk.out on GNU/kFreeBSD
   * Add kfreebsd/local-dosavesse.diff, which does not work,
     so rather use also added kfreebsd/local-nosavesse.diff
Checksums-Sha1: 
 8e91c05137a1caced71298484a50a2a4d0db197c 2743 eglibc_2.11.1-1.dsc
 6fa6fe05f1703b7e1db3b4140e704481bbee7d55 789891 eglibc_2.11.1-1.diff.gz
 70fb7b411d1e461bafdf7f04fd03e968f8fb3761 1841162 glibc-doc_2.11.1-1_all.deb
 9f2c4557e8ad52526dc3f02560d3b31ea9a49d8f 11049718 eglibc-source_2.11.1-1_all.deb
 9464ac0789f8032e69da9771622bbb3548a792b1 4755280 locales_2.11.1-1_all.deb
 96fa746d033326100337fe384ad3cf309c547300 4257482 libc6_2.11.1-1_amd64.deb
 bc8068155bdd0e420de30b469cf292cdcf928027 2586492 libc6-dev_2.11.1-1_amd64.deb
 774ed8a3d9b93fc42fbea4552bea4d736cb6ed55 2030360 libc6-prof_2.11.1-1_amd64.deb
 4b08456f78dbf530970c8c5f832b10cdb183dea6 1543794 libc6-pic_2.11.1-1_amd64.deb
 3f79e95d01b613cae3abaccf36f21f4e2d1361ae 743238 libc-bin_2.11.1-1_amd64.deb
 e3cf26fd00b74cd023b2f25af2a6833b022e1731 204458 libc-dev-bin_2.11.1-1_amd64.deb
 961b5e9fd46b52ea4e994b2c5fe8309a9cb9d924 3773106 locales-all_2.11.1-1_amd64.deb
 099727c07605d622e53693708a502c41de47eeec 3801782 libc6-i386_2.11.1-1_amd64.deb
 57c36e7bd85290e4d03b4d3c45f9b0a03142c22e 1518218 libc6-dev-i386_2.11.1-1_amd64.deb
 7c5d270b78e3565b126a37eae22b545acd6db34e 193388 nscd_2.11.1-1_amd64.deb
 e402ac8e0e96c4b5c6c6830018a6a10d94bef168 10392850 libc6-dbg_2.11.1-1_amd64.deb
 ee25cce62474bd61ac3d3b180ed27dde455b2ec4 1151190 libc6-udeb_2.11.1-1_amd64.udeb
 119763a77d785a0ce7182c5197e1775140b36cbb 11122 libnss-dns-udeb_2.11.1-1_amd64.udeb
 5f960628d70291cb638874e7e80833c512db0001 19682 libnss-files-udeb_2.11.1-1_amd64.udeb
Checksums-Sha256: 
 89e55c648e47ba63cf0122973373ae7fa1f57877909e05f69de4f2dd0b99ddb0 2743 eglibc_2.11.1-1.dsc
 d6268efce03c4a2210ec33aaf055280c06b05aed50b67161e8d51478fe6678f1 789891 eglibc_2.11.1-1.diff.gz
 cfd1886ec5022a71af92bc79d3c08adf04cbe026c761340b6009122fdcfde548 1841162 glibc-doc_2.11.1-1_all.deb
 8fc8e5d67f58527690af0e96ac38734853a0e07a084feeee6ddcef36f7753aac 11049718 eglibc-source_2.11.1-1_all.deb
 84d97fc86b8ca39b68478630088be3b3877535c33f06abdc5e4f4bce2ba510ad 4755280 locales_2.11.1-1_all.deb
 bde8f06c4b2f384cee619886b2d3350399a03a382164058240dd35d346fdf893 4257482 libc6_2.11.1-1_amd64.deb
 bff0c52fa9b320038b77585ae2254a805ecd060fa455c85bf1745cd207477b8b 2586492 libc6-dev_2.11.1-1_amd64.deb
 8da6d19e80ddd459eca602276234bc47d0cc8e8a5e395b3d4c466374787d41ac 2030360 libc6-prof_2.11.1-1_amd64.deb
 e41710367b76110c1cd49999b5b6ec1b52bb4135383f41d726065acb294aa31d 1543794 libc6-pic_2.11.1-1_amd64.deb
 cbcb38478cf95ac005cfd497173de33b675fd6f4fd5efd1949186b4de014d5a4 743238 libc-bin_2.11.1-1_amd64.deb
 36728a1bfc41b4426db09b203ee0b4f7ab083754d164251adcc6974424a98ccf 204458 libc-dev-bin_2.11.1-1_amd64.deb
 d86a218be7794e0f30c59b221c9331de01319c0e11342de32b85caa20179fc62 3773106 locales-all_2.11.1-1_amd64.deb
 bd069cced89b1e13cb0045703a547d24388b21d55737b55348a25ac88d7e4155 3801782 libc6-i386_2.11.1-1_amd64.deb
 2b41658aa7725daf0b15a230fbdd850d2d9a45e378e8e2054b6171ff76973169 1518218 libc6-dev-i386_2.11.1-1_amd64.deb
 4b0f9f410b848d112826ea42c94c304849372001d078d43804f64badc7e09783 193388 nscd_2.11.1-1_amd64.deb
 3a83defe2325ce080bf3dc32fc3169cfe89e54bc8bfe785fbeed9dacb448b4f4 10392850 libc6-dbg_2.11.1-1_amd64.deb
 d7dd9ee3df240c38f909332edf09b9b4b8673910a8fdf564cdfd64982ba10875 1151190 libc6-udeb_2.11.1-1_amd64.udeb
 bb5b87cbf7baec09ed558fbc51e9604d6f421be85a9090ff50474c7993628db1 11122 libnss-dns-udeb_2.11.1-1_amd64.udeb
 dcef5c5d8518d3cd977afaceed9bfcd63289db26769ba92d4ec6b3110187ff7d 19682 libnss-files-udeb_2.11.1-1_amd64.udeb
Files: 
 c62c9a78aca29d00d66246b26fb0721f 2743 libs required eglibc_2.11.1-1.dsc
 e60359225de8b3aa6172692158a763da 789891 libs required eglibc_2.11.1-1.diff.gz
 88614d34a062f42e742f711a749712bf 1841162 doc optional glibc-doc_2.11.1-1_all.deb
 192198fe6b0e184661114a960935d91d 11049718 devel optional eglibc-source_2.11.1-1_all.deb
 f901a4afe2a0001a216af3cec04d133d 4755280 localization standard locales_2.11.1-1_all.deb
 f5b39e8de0c72e2d69350fda8061c6e8 4257482 libs required libc6_2.11.1-1_amd64.deb
 2ba48888f0e7550ff0b67b0671d80028 2586492 libdevel optional libc6-dev_2.11.1-1_amd64.deb
 dac68bcc6a420e835b9ff55af3bdac61 2030360 libdevel extra libc6-prof_2.11.1-1_amd64.deb
 637c636c474ccfd06a24f4920a22cb64 1543794 libdevel optional libc6-pic_2.11.1-1_amd64.deb
 b002eb204891fa1ceb9ae041bf5ab6aa 743238 libs required libc-bin_2.11.1-1_amd64.deb
 7b6c4a4beacecdeba960f437e99a19d5 204458 libdevel optional libc-dev-bin_2.11.1-1_amd64.deb
 93f091baf1c19b3491c0decb65de78c2 3773106 localization extra locales-all_2.11.1-1_amd64.deb
 61126cc84ff4263b6a8f18c028c03094 3801782 libs optional libc6-i386_2.11.1-1_amd64.deb
 0f84059ac136d1762318f1042b99c4ae 1518218 libdevel optional libc6-dev-i386_2.11.1-1_amd64.deb
 4942a52764b9197581052d7ad11daf82 193388 admin optional nscd_2.11.1-1_amd64.deb
 c25fec30f6cdd3f0f7377b921676dcea 10392850 debug extra libc6-dbg_2.11.1-1_amd64.deb
 230fc84fc104ae0374542af1163090f6 1151190 debian-installer extra libc6-udeb_2.11.1-1_amd64.udeb
 b430487a12d181bb4d2e95ae87eccf0f 11122 debian-installer extra libnss-dns-udeb_2.11.1-1_amd64.udeb
 22a768a33f9484b813e57cb4c9b1cbc2 19682 debian-installer extra libnss-files-udeb_2.11.1-1_amd64.udeb
Package-Type: udeb


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMAWklw3ao2vG823MRAk9oAJ9Jjp9yCAVk2jaSQS3RiohpkEXabACeJZ0O
mJk5FnYLZoDixMVoA9wGjms=
=QgxO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 28 Jul 2010 07:33:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:21:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.